-- ==================================================
--	CRIA A TABELA DE USUARIO.
-- ==================================================
CREATE TABLE USUARIO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_USUARIO PRIMARY KEY,
	CODIGO_SZR010 VARCHAR(6),
	SENHA VARCHAR(60),
	NOME VARCHAR(60) NOT NULL,
	OBSERVACAO VARCHAR(250),
	EMAIL VARCHAR(80) NOT NULL,
	LAYOUT_MODE VARCHAR(10),
	LAYOUT_DARK BIT,
	LAYOUT_RTL BIT,
	LAYOUT VARCHAR(20),
	THEME VARCHAR(20),
	TRAVADO BIT NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	BLOQUEADO BIT NOT NULL,
	ID_SZR010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	EMAIL_BOAS_VINDAS BIT
);

