-- ==================================================
--	CRIA A TABELA DE PERMISSAO.
-- ==================================================
CREATE TABLE PERMISSAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PERMISSAO PRIMARY KEY,
	BLOQUEADO BIT NOT NULL,
	CODIGO_SZT010 VARCHAR(6), -- Pode ser removido futuramente
	NOME VARCHAR(30) NOT NULL CONSTRAINT UQ_PERMISSAO_C_NOME UNIQUE,
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_SZT010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT
);

