-- ==================================================
--	CRIA A TABELA DE UF.
-- ==================================================
CREATE TABLE UF (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_UF PRIMARY KEY,
	ID_IBGE INT NOT NULL CONSTRAINT UQ_UF_C_ID_IBGE UNIQUE,
	SIGLA VARCHAR(2) NOT NULL CONSTRAINT UQ_UF_C_SIGLA UNIQUE,
	NOME VARCHAR(30) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_IBGE BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_REGIAO INT NOT NULL CONSTRAINT FK_UF_T_REGIAO FOREIGN KEY REFERENCES REGIAO(ID)
);

