-- ==================================================
--	CRIA A TABELA DE MICRORREGIAO.
-- ==================================================
CREATE TABLE MICRORREGIAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_MICRORREGIAO PRIMARY KEY,
	ID_IBGE INT NOT NULL CONSTRAINT UQ_MICRORREGIAO_C_ID_IBGE UNIQUE,
	NOME VARCHAR(60) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_IBGE BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_MESORREGIAO INT NOT NULL CONSTRAINT FK_MICRORREGIAO_T_MESORREGIAO FOREIGN KEY REFERENCES MESORREGIAO(ID)
);

