-- ==================================================
--	CRIA A TABELA DE ENDERECO.
-- ==================================================
CREATE TABLE ENDERECO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_ENDERECO PRIMARY KEY,
	TIPO VARCHAR(20) NOT NULL,
	ORIGEM VARCHAR(20) NOT NULL,
	TIPO_LOGRADOURO VARCHAR(25),
	LOGRADOURO VARCHAR(150),
	NUMERO VARCHAR(20),
	CIDADE VARCHAR(100),
	BAIRRO VARCHAR(100),
	CEP VARCHAR(9),
	CEP_GERAL VARCHAR(9),
	AREA VARCHAR(20),
	LONGITUDE FLOAT(53),
	LATITUDE FLOAT(53),
	COMPLEMENTO VARCHAR(150),
	APROVADO BIT,
	BLOQUEADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_CEP BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_MUNICIPIO INT CONSTRAINT FK_ENDERECO_T_MUNICIPIO FOREIGN KEY REFERENCES MUNICIPIO(ID)
);

