-- ==================================================
--	CRIA A TABELA DE REPRESENTANTE.
-- ==================================================
CREATE TABLE REPRESENTANTE (
	ID_USUARIO INT NOT NULL CONSTRAINT PK_REPRESENTANTE PRIMARY KEY CONSTRAINT FK_REPRESENTANTE_T_USUARIO FOREIGN KEY REFERENCES USUARIO(ID),
	ID_GERENTE_NACIONAL INT CONSTRAINT FK_REPRESENTANTE_T_GERENTE_NACIONAL FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_GERENTE_REGIONAL INT CONSTRAINT FK_REPRESENTANTE_T_GERENTE_REGIONAL FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_PAI_PREPOSTO INT CONSTRAINT FK_REPRESENTANTE_T_PAI_PREPOSTO FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	CODIGO_SA3010 VARCHAR(6),
	BLOQUEADO BIT NOT NULL,
	TIPO VARCHAR(10) NOT NULL,
	REGIONAL VARCHAR(30),
	NOME VARCHAR(60) NOT NULL,
	CNPJ VARCHAR(14),
	CPF VARCHAR(11),
	RG VARCHAR(14),
	CORE VARCHAR(10),
	OPTANTE_SIMPLES_NACIONAL BIT,
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_SA3010 INT,
	SYNC_TOTVS BIT,
	ID_ENDERECO_PRINCIPAL INT CONSTRAINT FK_REPRESENTANTE_T_ENDERECO_PRINCIPAL FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_CONTATO_PRINCIPAL INT CONSTRAINT FK_REPRESENTANTE_T_CONTATO_PRINCIPAL FOREIGN KEY REFERENCES CONTATO(ID)
);

