-- ==================================================
--	CRIA A TABELA DE CLIENTE.
-- ==================================================
CREATE TABLE TABELA_PRECO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_TABELA_PRECO PRIMARY KEY,
	CODIGO_DA0010 VARCHAR(3),
	DESCRICAO VARCHAR(30),
	DATA_DE DATETIME,
	DATA_ATE DATETIME,
	TIPO_HORA VARCHAR(10),
	STATUS VARCHAR(10),
	ATIVO BIT NOT NULL,
	ECOMERCE BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_DA0010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_REPRESENTANTE INT NOT NULL CONSTRAINT FK_TABELA_PRECO_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO)
);

