-- ==================================================
--	CRIA A TABELA DE PRECO ITEM.
-- ==================================================
CREATE TABLE TABELA_PRECO_ITEM (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_TABELA_PRECO_ITEM PRIMARY KEY,
	NUMERO INT,
	PRECO_VENDA DECIMAL(18,2) NOT NULL,
	VALOR_DESCONTO DECIMAL(18,2) NOT NULL,
	PRECO_MAXIMO DECIMAL(18,2) NOT NULL,
	PORCENTAGEM_DESCONTO DECIMAL(18,2),
	OPERACOES VARCHAR(15) NOT NULL,
	DATA_VIGENCIA DATE,
	ATIVO BIT NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_DA1010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_TABELA_PRECO INT NOT NULL CONSTRAINT FK_TABELA_PRECO_ITEM_T_TABELA_PRECO FOREIGN KEY REFERENCES TABELA_PRECO(ID),
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_TABELA_PRECO_ITEM_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID)
);

