-- ==================================================
--	CRIA A TABELA DE CONDICAO PAGAMENTO.
-- ==================================================
CREATE TABLE TRANSPORTADORA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_TRANSPORTADORA PRIMARY KEY,
	CODIGO_SA4010 VARCHAR(6),
	CNPJ VARCHAR(14),
	NOME VARCHAR(40) NOT NULL,
	NOME_REDUZIDO VARCHAR(15) NOT NULL,
	INSCRICAO_ESTADUAL VARCHAR(15),
	DOCA VARCHAR(15),
	TIPO VARCHAR(15) NOT NULL,
	EMAIL_TROCA VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	BLOQUEADO BIT NOT NULL,
	ID_SA4010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_ENDERECO INT CONSTRAINT FK_CLIENTE_T_ENDERECO FOREIGN KEY REFERENCES ENDERECO(ID),
	ID_CONTATO INT CONSTRAINT FK_CLIENTE_T_CONTATO FOREIGN KEY REFERENCES CONTATO(ID)
);

