-- ==================================================
--	CRIA A TABELA DE CLIENTE SEGMENTO.
-- ==================================================
CREATE TABLE CLIENTE_SEGMENTO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CLIENTE_SEGMENTO PRIMARY KEY,
	CODIGO_ZSG010 VARCHAR(6),
	NOME VARCHAR(60),
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	BLOQUEADO BIT NOT NULL,
	ID_ZSG010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_CLIENTE_CANAL INT CONSTRAINT FK_CLIENTE_SEGMENTO_T_CLIENTE_CANAL FOREIGN KEY REFERENCES CLIENTE_CANAL(ID)
);

