-- ==================================================
--	CRIA A TABELA DE PRE RESERVA.
-- ==================================================
CREATE TABLE PRE_RESERVA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_PRE_RESERVA PRIMARY KEY,
	FILIAL VARCHAR(14) NOT NULL,
	STATUS_APROVACAO VARCHAR(12),
	CODIGO_ZZR010 VARCHAR(6),
	QUANTIDADE_ORIGINAL INT NOT NULL,
	QUANTIDADE_SALDO INT NOT NULL,
	STATUS VARCHAR(18) NOT NULL,
	OBSERVACAO VARCHAR(80),
	ID_ZZR010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_PRE_RESERVA_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_REPRESENTANTE INT CONSTRAINT FK_PRE_RESERVA_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO)
);
