-- ==================================================
--	CRIA A TABELA DE ORCAMENTO ITEM
-- ==================================================
CREATE TABLE ORCAMENTO_ITEM (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_ORCAMENTO_ITEM PRIMARY KEY,
	SEQUENCIAL INT,
	ITEM INT NOT NULL,
	TIPO_DESCONTO VARCHAR(10),
	NUMERO_PEDIDO_COMPRA VARCHAR(15),
	ITEM_PEDIDO_COMPRA VARCHAR(6),
	QUANTIDADE INT NOT NULL,
	QUANTIDADE_PEDIDO INT,
	ACRESCIMO DECIMAL(18,2),
	ACRESCIMO_PORCENTO DECIMAL(18,2),
	DESCONTO_CLASSE DECIMAL(18,2),
	DESCONTO_CLASSE_PORCENTO DECIMAL(18,2),
	DESCONTO_FRETE DECIMAL(18,2),
	DESCONTO_FRETE_PORCENTO DECIMAL(18,2),
	DESCONTO_PAGAMENTO_ANTECIPADO DECIMAL(18,2),
	DESCONTO_PAGAMENTO_ANTECIPADO_PORCENTO DECIMAL(18,2),
	DESCONTO_TOTAL DECIMAL(18,2),
	DESCONTO_TOTAL_PORCENTO DECIMAL(18,2),
	DESCONTO_MAXIMO DECIMAL(18,2),
	DESCONTO_MAXIMO_PORCENTO DECIMAL(18,2),
	COMISSAO_PORCENTO DECIMAL(18,2),
	COMISSAO DECIMAL(18,2),
	COMISSAO_PORCENTO_2 DECIMAL(18,2),
	COMISSAO_2 DECIMAL(18,2),
	VALOR_TOTAL DECIMAL(18,2),
	VALOR_TOTAL_FATURA DECIMAL(18,2),
	PRECO_LISTA DECIMAL(18,2),
	PRECO_VENDA DECIMAL(18,2),
	ALICOTA_DESPESA DECIMAL(18,2),
	VALOR_DESPESA DECIMAL(18,2),
	ALICOTA_FRETE DECIMAL(18,2),
	VALOR_FRETE DECIMAL(18,2),
	ALIQUOTA_ST DECIMAL(18,2),
	ALIQUOTA_IPI DECIMAL(18,2),
	ALIQUOTA_ICC DECIMAL(18,2),
	ALIQUOTA_DIF DECIMAL(18,2),
	ALIQUOTA_ICMS DECIMAL(18,2),
	ALIQUOTA_PIS DECIMAL(18,2),
	ALIQUOTA_COFINS DECIMAL(18,2),
	ALIQUOTA_ZFC DECIMAL(18,2),
	ALIQUOTA_ZFP DECIMAL(18,2),
	ALIQUOTA_COMPLEMENTAR_FECP DECIMAL(18,2),
	ALIQUOTA_FECP_DO_ST DECIMAL(18,2),
	ALIQUOTA_PROPRIO_FECP DECIMAL(18,2),
	ALIQUOTA_DESPESA DECIMAL(18,2),
	ALIQUOTA_FRETE DECIMAL(18,2),
	VALOR_ST DECIMAL(18,2),
	VALOR_IPI DECIMAL(18,2),
	VALOR_ICC DECIMAL(18,2),
	VALOR_DIF DECIMAL(18,2),
	VALOR_ICMS DECIMAL(18,2),
	VALOR_PIS DECIMAL(18,2),
	VALOR_COFINS DECIMAL(18,2),
	VALOR_ZFC DECIMAL(18,2),
	VALOR_ZFP DECIMAL(18,2),
	VALOR_COMPLEMENTAR_FECP DECIMAL(18,2),
	VALOR_FECP_DO_ST DECIMAL(18,2),
	VALOR_PROPRIO_FECP DECIMAL(18,2),
	VALOR_TOTAL_SUFRAMA DECIMAL(18,2),
	VALOR_TOTAL_IMPOSTO DECIMAL(18,2),
	DATA_ULTIMO_CALCULO_IMPOSTO DATETIME,
	CALCULANDO_IMPOSTO BIT,
	CALCULADO_IMPOSTO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_ORCAMENTO INT NOT NULL CONSTRAINT FK_ORCAMENTO_ITEM_T_ORCAMENTO FOREIGN KEY REFERENCES ORCAMENTO(ID),
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_ORCAMENTO_ITEM_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_RESERVA INT CONSTRAINT FK_ORCAMENTO_ITEM_T_RESERVA FOREIGN KEY REFERENCES RESERVA(ID)
);
