-- ==================================================
--	CRIA A TABELA DE SOLICITACAO.
-- ==================================================
CREATE TABLE SOLICITACAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_SOLICITACAO PRIMARY KEY,
	TIPO VARCHAR(20) NOT NULL,
	STATUS VARCHAR(10) NOT NULL,
	VALOR DECIMAL(18,2),
	QUANTIDADE INT,
	OBSERVACAO VARCHAR(500),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_PEDIDO INT CONSTRAINT FK_SOLICITACAO_T_PEDIDO FOREIGN KEY REFERENCES PEDIDO(ID),
	ID_RESERVA INT CONSTRAINT FK_SOLICITACAO_T_RESERVA FOREIGN KEY REFERENCES RESERVA(ID),
	ID_PRE_RESERVA INT CONSTRAINT FK_SOLICITACAO_T_PRE_RESERVA FOREIGN KEY REFERENCES PRE_RESERVA(ID)
);
