-- ==================================================
--	ALTERA A TABELA DE REPRESENTANTE
-- ==================================================
ALTER TABLE REPRESENTANTE DROP 
COLUMN REGIONAL;

-- ==================================================
--	ALTERA A TABELA DE REGIONAL
-- ==================================================
ALTER TABLE REGIONAL ADD 
SEM_META_VENDA_REPRESENTANTE BIT;

-- ==================================================
--	CRIA A TABELA DE META_REPRESENTANTE.
-- ==================================================
CREATE TABLE META_REPRESENTANTE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_META_REPRESENTANTE PRIMARY KEY,
	ANO DATE NOT NULL,
	MES_01 DECIMAL(18,2),
	MES_02 DECIMAL(18,2),
	MES_03 DECIMAL(18,2),
	MES_04 DECIMAL(18,2),
	MES_05 DECIMAL(18,2),
	MES_06 DECIMAL(18,2),
	MES_07 DECIMAL(18,2),
	MES_08 DECIMAL(18,2),
	MES_09 DECIMAL(18,2),
	MES_10 DECIMAL(18,2),
	MES_11 DECIMAL(18,2),
	MES_12 DECIMAL(18,2),
	REALIZADO_01 DECIMAL(18,2),
	REALIZADO_02 DECIMAL(18,2),
	REALIZADO_03 DECIMAL(18,2),
	REALIZADO_04 DECIMAL(18,2),
	REALIZADO_05 DECIMAL(18,2),
	REALIZADO_06 DECIMAL(18,2),
	REALIZADO_07 DECIMAL(18,2),
	REALIZADO_08 DECIMAL(18,2),
	REALIZADO_09 DECIMAL(18,2),
	REALIZADO_10 DECIMAL(18,2),
	REALIZADO_11 DECIMAL(18,2),
	REALIZADO_12 DECIMAL(18,2),
	ID_SZW010 INT,
	SYNC_TOTVS BIT,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_REPRESENTANTE INT NOT NULL CONSTRAINT FK_META_REPRESENTANTE_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO),
	ID_REGIONAL INT NOT NULL CONSTRAINT FK_META_REPRESENTANTE_T_REGIONAL FOREIGN KEY REFERENCES REGIONAL(ID)
);

