-- ==================================================
--	CRIA A TABELA DE LIGAÇÃO CLIENTE_PRODUTO
-- ==================================================
CREATE TABLE CLIENTE_PRODUTO (
    ID_CLIENTE INT,
    ID_PRODUTO INT,
    PRECO_VENDA_ULTIMO_PRATICADO DECIMAL(18,2),
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
    CONSTRAINT PK_CLIENTE_PRODUTO PRIMARY KEY (ID_CLIENTE, ID_PRODUTO),
    CONSTRAINT FK_CLIENTE_PRODUTO_T_CLIENTE FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE(ID),
    CONSTRAINT FK_CLIENTE_PRODUTO_T_PRODUTO FOREIGN KEY (ID_PRODUTO) REFERENCES PRODUTO(ID)
);
