-- ==================================================
--	CRIAR A TABELA DE DICIONARIO_MEDIDAS
-- ==================================================
CREATE TABLE DICIONARIO_MEDIDAS
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    NOME                   VARCHAR(255)        NOT NULL,
    FATOR_CONVERSAO        INT                 NOT NULL,
    DELETADO               BIT,
    CONSTRAINT PK_DICIONARIO_MEDIDAS PRIMARY KEY (ID)
)
GO

ALTER TABLE DICIONARIO_MEDIDAS
    ADD CONSTRAINT UC_DICIONARIO_MEDIDAS_NOME UNIQUE (NOME)
GO

-- ==================================================
--	ALTERAR A TABELA DE CLIENTE
-- ==================================================
ALTER TABLE CLIENTE ADD
        TEM_DICIONARIO_MEDIDAS BIT;
