-- ==================================================
--	CRIA A TABELA DE CLIENTE_SELL_OUT
-- ==================================================
CREATE TABLE CLIENTE_SELL_OUT
(
    ID                     INT IDENTITY (1, 1) NOT NULL,
    CADASTRADO_POR         VARCHAR(60),
    DATA_CADASTRO          DATETIME            NOT NULL,
    ULTIMA_MODIFICACAO_POR VARCHAR(60),
    DATA_ULTIMA_ALTERACAO  DATETIME,
    VENDA                  DECIMAL(18, 2)      NOT NULL,
    DATA                   DATE                NOT NULL,
    DELETADO               BIT,
    ID_CLIENTE             INT                 NOT NULL,
    CONSTRAINT PK_CLIENTE_SELL_OUT PRIMARY KEY (ID)
)
GO

ALTER TABLE CLIENTE_SELL_OUT
    ADD CONSTRAINT FK_CLIENTE_SELL_OUT_ON_CLIENTE FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE (ID)
GO


-- ==================================================
--	ALTERA A TABELA DE REGIONAL
-- ==================================================
ALTER TABLE CLIENTE ADD
    GERENCIAL BIT;

