-- ==================================================
--	ALTERA A TABELA DE UF
-- ==================================================
ALTER TABLE UF ADD
    DENTRO_ESTADO          BIT,
    ALIQUOTA_DIFAL         DECIMAL(18, 2),
    ALIQUOTA_PROPRIO_FECP  DECIMAL(18, 2)
GO

-- ==================================================
--	ALTERA A TABELA DE CLIENTE_GRUPO_TRIBUTARIO
-- ==================================================
ALTER TABLE CLIENTE_GRUPO_TRIBUTARIO ADD
    ALIQUOTA_ICMS               DECIMAL(18, 2),
    ALIQUOTA_ICMS_DENTRO_ESTADO DECIMAL(18, 2),
    SUFRAMA                     BIT,
    SUFRAMA_DESCONTO_PIS_COFINS BIT,
    VALOR_IPI_BASE_ICMS         BIT
GO

ALTER TABLE CLIENTE_GRUPO_TRIBUTARIO
    ALTER COLUMN CODIGO_ZZG010 VARCHAR(30) NOT NULL
GO

ALTER TABLE CLIENTE_GRUPO_TRIBUTARIO
    ADD CONSTRAINT UC_CLIENTE_GRUPO_TRIBUTARIO_CODIGO_ZZG010_TIPO UNIQUE (CODIGO_ZZG010, TIPO)
GO


ALTER TABLE PRE_NOTA_ITEM ADD
    DIFAL_ALIQUOTA              DECIMAL(18, 2),
    PROPRIO_FECP_ALIQUOTA       DECIMAL(18, 2),
    PROPRIO_FECP_VALOR          DECIMAL(18, 2)
GO
