-- ==================================================
--	ALTERA A TABELA
-- ==================================================
ALTER TABLE ORCAMENTO
    ADD
        CONSTRAINT CK_ORCAMENTO_FASE_CADASTRO
            CHECK ([FASE_CADASTRO] IN
                   ('TRAVADO', 'FINALIZADO', 'SINCRONISMO', 'REPROVADO', 'ANALISE', 'PARCIAL', 'VOUCHER', 'EDICAO'))
GO

ALTER TABLE ORCAMENTO
    ADD
        CONSTRAINT CK_ORCAMENTO_FILIAL
            CHECK ([FILIAL] IN
                   ('SANTA_CATARINA', 'SAO_FRANCISCO', 'PINHAIS', 'MATRIZ'))
GO

ALTER TABLE ORCAMENTO
    ADD
        CONSTRAINT CK_ORCAMENTO_TIPO_FRETE
            CHECK ([TIPO_FRETE] IN
                   ('SEM_FRETE', 'DESTINATARIO', 'REMETENTE', 'TERCEIRO', 'FOB', 'CIF'))
GO

ALTER TABLE ORCAMENTO
    ADD
        CONSTRAINT CK_ORCAMENTO_TIPO
            CHECK ([TIPO] IN
                   ('ERRO_PARCIAL', 'ERRO_TOTAL', 'INTEGRADO_PARCIAL', 'INTEGRADO_TOTAL', 'CLONADO', 'GERADO', 'IMPORTADO_PROTHEUS'))
GO
