-- <editor-fold desc="ADD PESSOA">
ALTER TABLE LEAD ADD
    PESSOA VARCHAR(8)
GO

UPDATE LEAD SET PESSOA = 'FISICA'
FROM LEAD
WHERE PESSOA IS NULL
    AND COALESCE(CPF, '') <> ''
GO

UPDATE LEAD SET PESSOA = 'JURIDICA'
FROM LEAD
WHERE PESSOA IS NULL
GO

ALTER TABLE LEAD
ALTER COLUMN PESSOA VARCHAR(8) NOT NULL
GO

ALTER TABLE LEAD
    ADD CONSTRAINT DF_LEAD_PESSOA DEFAULT 'JURIDICA' FOR PESSOA
GO
-- </editor-fold>

-- <editor-fold desc="DROP TELEFONE">
ALTER TABLE LEAD
    DROP CONSTRAINT IF EXISTS DF_LEAD_TELEFONE
GO

ALTER TABLE LEAD
    DROP COLUMN IF EXISTS TELEFONE
GO
-- </editor-fold>

-- <editor-fold desc="DROP EMAIL">
ALTER TABLE LEAD
    DROP CONSTRAINT IF EXISTS DF_LEAD_EMAIL
GO

ALTER TABLE LEAD
    DROP COLUMN IF EXISTS EMAIL
GO
-- </editor-fold>


-- <editor-fold desc="DROP FONTE">
ALTER TABLE LEAD
    DROP CONSTRAINT IF EXISTS DF_LEAD_FONTE;

ALTER TABLE LEAD
    DROP COLUMN IF EXISTS FONTE;
-- </editor-fold>

