UPDATE PRODUTO SET STATUS_SOLICITACAO = 'EMPTY'
FROM PRODUTO
WHERE STATUS_SOLICITACAO IS NULL


ALTER TABLE PRODUTO
    ALTER COLUMN STATUS_SOLICITACAO VARCHAR(8) NOT NULL
GO


CREATE NONCLUSTERED INDEX IX_PRODUTO_STATUS_BLOQUEADO_FAMILIA_GRUPO
ON PRODUTO (STATUS, BLOQUEADO, ID_FAMILIA, ID_GRUPO)
INCLUDE (CODIGO_SB1010, DESCRICAO, PRECO_VENDA, MULTIPLO_WEB, EM_FILA, RESERVA,
         QTD_ITENS_CX_INT, QTD_ITENS_CX_EXT, TIPO_ONE, TIPO_PRO, PROMOCIONAL, PRECO_PROMOCIONAL)
GO

CREATE NONCLUSTERED INDEX IX_PRODUTO_FAMILIA_REPRESENTANTE_ID_PRODUTO_FAMILIA_ID_REPRESENTANTE
    ON PRODUTO_FAMILIA_REPRESENTANTE (ID_PRODUTO_FAMILIA, ID_REPRESENTANTE)
    INCLUDE (BLOQUEADO)
GO

CREATE NONCLUSTERED INDEX IX_PRODUTO_FAMILIA_CLIENTE_ID_PRODUTO_FAMILIA_ID_CLIENTE
    ON PRODUTO_FAMILIA_CLIENTE (ID_PRODUTO_FAMILIA, ID_CLIENTE)
    INCLUDE (BLOQUEADO)
GO
