-- ==================================================
--	CRIA A TABELA DE HIERARQUIA.
-- ==================================================
CREATE TABLE HIERARQUIA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_HIERARQUIA PRIMARY KEY,
	PAI_ID INT CONSTRAINT FK_HIERARQUIA_T_HIERARQUIA FOREIGN KEY REFERENCES HIERARQUIA(ID),
	BLOQUEADO BIT NOT NULL,
	NIVEL INT NOT NULL,
	NOME VARCHAR(50) NOT NULL CONSTRAINT UQ_HIERARQUIA_C_NOME UNIQUE,
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
);

