﻿-- =============================================================
--	CRIA A TABELA LIGAÇÃO N PARA N DE => USUARIO <=> PERMISSAO.
-- =============================================================
CREATE TABLE USUARIO_LIG_PERMISSAO (
	ID_USUARIO INT,
	ID_PERMISSAO INT,
	CONSTRAINT PK_USUARIO_LIG_PERMISSAO PRIMARY KEY (ID_USUARIO, ID_PERMISSAO),
	CONSTRAINT FK_USUARIO_LIG_PERMISSAO_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_USUARIO_LIG_PERMISSAO_T_PERMISSAO FOREIGN KEY (ID_PERMISSAO) REFERENCES PERMISSAO(ID)
);

-- =============================================================
--	CRIA A TABELA LIGAÇÃO N PARA N DE => USUARIO <=> HIERARQUIA.
-- =============================================================
CREATE TABLE USUARIO_LIG_HIERARQUIA (
	ID_USUARIO INT,
	ID_HIERARQUIA INT,
	CONSTRAINT PK_USUARIO_LIG_HIERARQUIA PRIMARY KEY (ID_USUARIO, ID_HIERARQUIA),
	CONSTRAINT FK_USUARIO_LIG_HIERARQUIA_T_USUARIO FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID),
	CONSTRAINT FK_USUARIO_LIG_HIERARQUIA_T_HIERARQUIA FOREIGN KEY (ID_HIERARQUIA) REFERENCES HIERARQUIA(ID)
);

-- =============================================================
--	CRIA A TABELA LIGAÇÃO N PARA N DE => HIERARQUIA <=> PERMISSAO.
-- =============================================================
CREATE TABLE HIERARQUIA_LIG_PERMISSAO (
	ID_HIERARQUIA INT,
	ID_PERMISSAO INT,
	CONSTRAINT PK_HIERARQUIA_LIG_PERMISSAO PRIMARY KEY (ID_HIERARQUIA, ID_PERMISSAO),
	CONSTRAINT FK_HIERARQUIA_LIG_PERMISSAO_T_HIERARQUIA FOREIGN KEY (ID_HIERARQUIA) REFERENCES HIERARQUIA(ID),
	CONSTRAINT FK_HIERARQUIA_LIG_PERMISSAO_T_PERMISSAO FOREIGN KEY (ID_PERMISSAO) REFERENCES PERMISSAO(ID)
);