-- ==================================================
--	CRIA A TABELA DE REGIAO.
-- ==================================================
CREATE TABLE REGIAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_REGIAO PRIMARY KEY,
	ID_IBGE INT NOT NULL CONSTRAINT UQ_REGIAO_C_ID_IBGE UNIQUE,
	SIGLA VARCHAR(2) NOT NULL CONSTRAINT UQ_REGIAO_C_SIGLA UNIQUE,
	NOME VARCHAR(16) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_IBGE BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT
);

