-- ==================================================
--	CRIA A TABELA DE MESORREGIAO.
-- ==================================================
CREATE TABLE MESORREGIAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_MESORREGIAO PRIMARY KEY,
	ID_IBGE INT NOT NULL CONSTRAINT UQ_MESORREGIAO_C_ID_IBGE UNIQUE,
	NOME VARCHAR(50) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_IBGE BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_UF INT NOT NULL CONSTRAINT FK_MESORREGIAO_T_UF FOREIGN KEY REFERENCES UF(ID)
);

