-- ==================================================
--	CRIA A TABELA DE MUNICIPIO.
-- ==================================================
CREATE TABLE MUNICIPIO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_MUNICIPIO PRIMARY KEY,
	ID_IBGE INT NOT NULL CONSTRAINT UQ_MUNICIPIO_C_ID_IBGE UNIQUE,
	NOME VARCHAR(90) NOT NULL,
	NOME_SISTEMA VARCHAR(90) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_IBGE BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_MICRORREGIAO INT NOT NULL CONSTRAINT FK_MUNICIPIO_T_MICRORREGIAO FOREIGN KEY REFERENCES MICRORREGIAO(ID)
);

