-- ==================================================
--	CRIA A TABELA DE FRETE.
-- ==================================================
CREATE TABLE FRETE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_FRETE PRIMARY KEY,
	PORCENTAGEM DECIMAL(18,2) NOT NULL,
	MEDIA DECIMAL(18,2) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_UF INT CONSTRAINT FK_FRETE_T_UF FOREIGN KEY REFERENCES UF(ID),
	ID_MESORREGIAO INT CONSTRAINT FK_FRETE_T_MESORREGIAO FOREIGN KEY REFERENCES MESORREGIAO(ID),
	ID_MICRORREGIAO INT CONSTRAINT FK_FRETE_T_MICRORREGIAO FOREIGN KEY REFERENCES MICRORREGIAO(ID),
	ID_MUNICIPIO INT CONSTRAINT FK_FRETE_T_MUNICIPIO FOREIGN KEY REFERENCES MUNICIPIO(ID)
);

