-- ==================================================
--	CRIA A TABELA DE CONTATO.
-- ==================================================
CREATE TABLE CONTATO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CONTATO PRIMARY KEY,
	BLOQUEADO BIT NOT NULL,
	TIPO VARCHAR(20) NOT NULL,
	ORIGEM VARCHAR(20) NOT NULL,
	DDI VARCHAR(3),
	DDD VARCHAR(3),
	TELEFONE VARCHAR(10),
	CELULAR VARCHAR(10),
	FAX VARCHAR(10),
	EMAIL VARCHAR(80), 
	NOME VARCHAR(60),
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	SYNC_EMAIL BIT,
	SYNC_TOTVS BIT,
	DELETAR BIT
);

