-- ==================================================
--	CRIA A TABELA DE DADOS BANCARIOS.
-- ==================================================
CREATE TABLE DADOS_BANCARIOS (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_DADOS_BANCARIOS PRIMARY KEY,
	BLOQUEADO BIT NOT NULL,
	TIPO VARCHAR(10) NOT NULL,
	CODIGO VARCHAR(5) NOT NULL,
	BANCO VARCHAR(20) NOT NULL,
	AGENCIA VARCHAR(4) NOT NULL,
	AGENCIA_DV VARCHAR(1),
	CONTA VARCHAR(12) NOT NULL,
	NOME VARCHAR(60) NOT NULL,
	DESCRICAO VARCHAR(100),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME
);

