-- ==================================================
--	CRIA A TABELA DE CONDICAO PAGAMENTO.
-- ==================================================
CREATE TABLE CONDICAO_PAGAMENTO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_CONDICAO_PAGAMENTO PRIMARY KEY,
	CODIGO_SE4010 VARCHAR(6),
	TIPO VARCHAR(1) NOT NULL,
	CONDICAO VARCHAR(70) NOT NULL,
	DESCRICAO VARCHAR(60) NOT NULL,
	IPI VARCHAR(10),
	DIAS_DA_CONDICAO VARCHAR(15) NOT NULL,
	ACRESCIMO VARCHAR(10),
	SOLIDARIO VARCHAR(10),
	PRAZO_MEDIO INT NOT NULL,
	DESCONTO_FINANCEIRO DECIMAL(18,2),
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_ULTIMO_ACESSO DATETIME,
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ADIANTAMENTO BIT,
	BLOQUEADO_WEB BIT NOT NULL,
	BLOQUEADO BIT NOT NULL,
	ID_SE4010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT
);

