-- ==================================================
--	CRIA A TABELA DE ALCADA_APROVACAO.
-- ==================================================
CREATE TABLE ALCADA_APROVACAO (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_ALCADA_APROVACAO PRIMARY KEY,
	NIVEL INT NOT NULL,
	STATUS VARCHAR(15) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_SCR010 INT,
	SYNC_TOTVS BIT,
	DELETAR BIT,
	ID_APROVADOR INT CONSTRAINT FK_ALCADA_APROVACAO_T_APROVADOR FOREIGN KEY REFERENCES APROVADOR(ID),
	ID_SOLICITACAO INT CONSTRAINT FK_ALCADA_APROVACAO_T_SOLICITACAO FOREIGN KEY REFERENCES SOLICITACAO(ID)
);
