-- ==================================================
--	CRIA A TABELA DE IMPOSTOS DA AVANT.
-- ==================================================
CREATE TABLE IMPOSTOS_AVANT (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_IMPOSTOS_AVANT PRIMARY KEY,
	FILIAL VARCHAR(14) NOT NULL,
	TIPO VARCHAR(10) NOT NULL,
	VALICM DECIMAL(18,2) NOT NULL,
	DIFAL DECIMAL(18,2) NOT NULL,
	ICMCOM DECIMAL(18,2) NOT NULL,
	ICMRET DECIMAL(18,2) NOT NULL,
	VALIPI DECIMAL(18,2) NOT NULL,
	VALPIS DECIMAL(18,2) NOT NULL,
	VALCOF DECIMAL(18,2) NOT NULL,
	DESCZF DECIMAL(18,2) NOT NULL,
	MARGEM DECIMAL(18,2) NOT NULL,
	ICMDST DECIMAL(18,2) NOT NULL,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_ZIA010 INT NOT NULL,
	DATA_ULTIMA_ALTERACAO_ZIA010 DATETIME NOT NULL,
	ID_PRODUTO INT NOT NULL CONSTRAINT FK_IMPOSTOS_AVANT_T_PRODUTO FOREIGN KEY REFERENCES PRODUTO(ID),
	ID_UF INT NOT NULL CONSTRAINT FK_IMPOSTOS_AVANT_T_UF FOREIGN KEY REFERENCES UF(ID),
);

