
IF '' != (SELECT SPECIFIC_NAME FROM [AVANT_PLATAFORMA].INFORMATION_SCHEMA.ROUTINES WHERE SPECIFIC_NAME = 'PROC_IMPORTAR_REGIONAIS') 
BEGIN
	DROP PROCEDURE PROC_IMPORTAR_REGIONAIS;
END;
GO

-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO
-- =============================================
-- Author:		<RODRIGO>
-- Create date: <2020/12/09>
-- Description:	<
-- IMPORTA TODOS AS REGIONAIS DO PROTHEUS
-- >
-- =============================================
CREATE PROCEDURE PROC_IMPORTAR_REGIONAIS AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	INSERT INTO AVANT_PLATAFORMA.dbo.REGIONAL (SIGLA, DESCRICAO, DATA_CADASTRO, CADASTRADO_POR)
	SELECT RTRIM(LTRIM(X5.X5_CHAVE)), RTRIM(LTRIM(X5.X5_DESCRI)), GETDATE(), 'SQL'
	FROM AVANT.dbo.SX5010 X5
	LEFT JOIN AVANT_PLATAFORMA.dbo.REGIONAL REG ON X5.X5_CHAVE = REG.SIGLA
	WHERE X5.D_E_L_E_T_=''
	AND X5.X5_FILIAL = '010104'
	AND X5.X5_TABELA = 'A2'
	AND REG.SIGLA IS NULL;
	
END;
GO
