-- ==================================================
--	CRIA A TABELA DE META_REALIZADA_DIARIA_REPRESENTANTE.
-- ==================================================
CREATE TABLE META_REALIZADA_DIARIA_REPRESENTANTE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_META_REALIZADA_DIARIA_REPRESENTANTE PRIMARY KEY,
	DIA DATE NOT NULL,
	REALIZADO DECIMAL(18,2) NOT NULL,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_META_REPRESENTANTE INT NOT NULL CONSTRAINT FK_META_REALIZADA_DIARIA_REPRESENTANTE_T_META_REPRESENTANTE FOREIGN KEY REFERENCES META_REPRESENTANTE(ID)
);

