-- ==================================================
--	DELETA A TABELA DE COMISSAO.
-- ==================================================
DROP TABLE IF EXISTS COMISSAO

-- ==================================================
--	CRIA A TABELA DE COMISSAO_REPRESENTANTE.
-- ==================================================
CREATE TABLE COMISSAO_REPRESENTANTE (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_COMISSAO_REPRESENTANTE PRIMARY KEY,
	DIA DATE NOT NULL,
	COMISSAO DECIMAL(18,2) NOT NULL,
	DELETADO BIT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_REPRESENTANTE INT NOT NULL CONSTRAINT FK_COMISSAO_REPRESENTANTE_T_REPRESENTANTE FOREIGN KEY REFERENCES REPRESENTANTE(ID_USUARIO)
);

