-- ==================================================
--	CRIA A TABELA DE OCORRENCIA.
-- ==================================================
CREATE TABLE OCORRENCIA (
	ID INT NOT NULL IDENTITY(1,1) CONSTRAINT PK_OCORRENCIA PRIMARY KEY,
	TIPO VARCHAR(50) NOT NULL,
	MOTIVO VARCHAR(50),
	DATA DATE NOT NULL,
	NUMERO VARCHAR(8) NOT NULL,
	ID_GWD010 INT,
	CADASTRADO_POR VARCHAR(60),
	ULTIMA_MODIFICACAO_POR VARCHAR(60),
	DATA_CADASTRO DATETIME NOT NULL,
	DATA_ULTIMA_ALTERACAO DATETIME,
	ID_NOTA_FISCAL_SAIDA INT CONSTRAINT FK_OCORRENCIA_T_NOTA_FISCAL_SAIDA FOREIGN KEY REFERENCES NOTA_FISCAL_SAIDA(ID)
);

