-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Rodrigo, Fernando>
-- Create date: <2022/05/06>
-- Description:	<Exibe a informação do cabeçalho da margem>
-- =============================================
CREATE OR ALTER PROCEDURE PROC_PLAT_MARGEM_CABECALHO_ORCAMENTO
	-- Add the parameters for the stored procedure here
	(@ID INT)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	SELECT (
			SUM(ITEM.VALOR_TOTAL) - 
			(
				SUM(IMP.VALICM/100 * ITEM.VALOR_TOTAL) 
				+ SUM(IMP.VALPIS/100 * ITEM.VALOR_TOTAL) 
				+ SUM(IMP.VALCOF/100 * ITEM.VALOR_TOTAL) 
				+ SUM(ITEM.COMISSAO) 
				+ SUM((10 - DESCONTO_FRETE_PORCENTO) /100 * ITEM.VALOR_TOTAL) 
				+ SUM(PROD.CUSTO_MEDIO * ITEM.QUANTIDADE)
			)
		) / SUM(ITEM.VALOR_TOTAL) * 100 MARGEM_GROSS
	FROM ORCAMENTO_ITEM ITEM
	INNER JOIN ORCAMENTO ON ITEM.ID_ORCAMENTO = ORCAMENTO.ID
	INNER JOIN PRODUTO PROD ON ITEM.ID_PRODUTO = PROD.ID
	INNER JOIN CLIENTE ON ORCAMENTO.ID_CLIENTE = CLIENTE.ID
	INNER JOIN ENDERECO ON CLIENTE.ID_ENDERECO_PRINCIPAL = ENDERECO.ID
	INNER JOIN MUNICIPIO ON ENDERECO.ID_MUNICIPIO = MUNICIPIO.ID
	INNER JOIN MICRORREGIAO ON MUNICIPIO.ID_MICRORREGIAO = MICRORREGIAO.ID
	INNER JOIN MESORREGIAO ON MICRORREGIAO.ID_MESORREGIAO = MESORREGIAO.ID
	INNER JOIN UF ON MESORREGIAO.ID_UF = UF.ID
	INNER JOIN IMPOSTOS_AVANT IMP ON PROD.ID = IMP.ID_PRODUTO AND UF.ID = IMP.ID_UF
	WHERE ID_ORCAMENTO = @ID

END
GO
