-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Rodrigo>
-- Create date: <2022/05/19>
-- Description:	<Insere todos os bancos brasileiros com número ou código (atualizado em 02/05/2022 pelo Banco Central site: https://www.bcb.gov.br/estabilidadefinanceira/relacao_instituicoes_funcionamento )>
-- =============================================
CREATE OR ALTER PROCEDURE PROC_PLAT_INSERIR_BANCOS_BRASILEIROS
	-- Add the parameters for the stored procedure here
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	INSERT INTO BANCO_BRASIL (NUMERO_CODIGO, NOME_REDUZIDO, NOME_EXTENSO, DATA_INICIO_OPERACAO, CADASTRADO_POR, DATA_CADASTRO) VALUES
('001', RTRIM(LTRIM('BCO DO BRASIL S.A.')), RTRIM(LTRIM('Banco do Brasil S.A.                                                            ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('070', RTRIM(LTRIM('BRB - BCO DE BRASILIA S.A.')), RTRIM(LTRIM('BRB - BANCO DE BRASILIA S.A.                                                    ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('430', RTRIM(LTRIM('CCR SEARA')), RTRIM(LTRIM('COOPERATIVA DE CREDITO RURAL SEARA - CREDISEARA                                 ')), convert(datetime, '27/08/2021', 103), 'PROC', GETDATE()),
('272', RTRIM(LTRIM('AGK CC S.A.')), RTRIM(LTRIM('AGK CORRETORA DE CAMBIO S.A.                                                    ')), convert(datetime, '21/11/2018', 103), 'PROC', GETDATE()),
('136', RTRIM(LTRIM('CONF NAC COOP CENTRAIS UNICRED')), RTRIM(LTRIM('CONFEDERAÇÃO NACIONAL DAS COOPERATIVAS CENTRAIS UNICRED LTDA. - UNICRED DO BRASI')), convert(datetime, '28/07/2014', 103), 'PROC', GETDATE()),
('407', RTRIM(LTRIM('ÍNDIGO INVESTIMENTOS DTVM LTDA.')), RTRIM(LTRIM('ÍNDIGO INVESTIMENTOS DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.       ')), convert(datetime, '22/02/2021', 103), 'PROC', GETDATE()),
('104', RTRIM(LTRIM('CAIXA ECONOMICA FEDERAL')), RTRIM(LTRIM('CAIXA ECONOMICA FEDERAL                                                         ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('077', RTRIM(LTRIM('BANCO INTER')), RTRIM(LTRIM('Banco Inter S.A.                                                                ')), convert(datetime, '15/08/2008', 103), 'PROC', GETDATE()),
('423', RTRIM(LTRIM('COLUNA S.A. DTVM')), RTRIM(LTRIM('COLUNA S/A DISTRIBUIDORA DE TITULOS E VALORES MOBILIÁRIOS                       ')), convert(datetime, '07/06/2021', 103), 'PROC', GETDATE()),
('741', RTRIM(LTRIM('BCO RIBEIRAO PRETO S.A.')), RTRIM(LTRIM('BANCO RIBEIRAO PRETO S.A.                                                       ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('330', RTRIM(LTRIM('BANCO BARI S.A.')), RTRIM(LTRIM('BANCO BARI DE INVESTIMENTOS E FINANCIAMENTOS S.A.                               ')), convert(datetime, '22/07/2019', 103), 'PROC', GETDATE()),
('739', RTRIM(LTRIM('BCO CETELEM S.A.')), RTRIM(LTRIM('Banco Cetelem S.A.                                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('743', RTRIM(LTRIM('BANCO SEMEAR')), RTRIM(LTRIM('Banco Semear S.A.                                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('100', RTRIM(LTRIM('PLANNER CV S.A.')), RTRIM(LTRIM('Planner Corretora de Valores S.A.                                               ')), convert(datetime, '27/04/2011', 103), 'PROC', GETDATE()),
('096', RTRIM(LTRIM('BCO B3 S.A.')), RTRIM(LTRIM('Banco B3 S.A.                                                                   ')), convert(datetime, '12/11/2004', 103), 'PROC', GETDATE()),
('747', RTRIM(LTRIM('BCO RABOBANK INTL BRASIL S.A.')), RTRIM(LTRIM('Banco Rabobank International Brasil S.A.                                        ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('362', RTRIM(LTRIM('CIELO S.A.')), RTRIM(LTRIM('CIELO S.A.                                                                      ')), convert(datetime, '17/07/2020', 103), 'PROC', GETDATE()),
('322', RTRIM(LTRIM('CCR DE ABELARDO LUZ')), RTRIM(LTRIM('Cooperativa de Crédito Rural de Abelardo Luz - Sulcredi/Crediluz                ')), convert(datetime, '14/06/2019', 103), 'PROC', GETDATE()),
('748', RTRIM(LTRIM('BCO COOPERATIVO SICREDI S.A.')), RTRIM(LTRIM('BANCO COOPERATIVO SICREDI S.A.                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('350', RTRIM(LTRIM('CREHNOR LARANJEIRAS')), RTRIM(LTRIM('COOPERATIVA DE CRÉDITO RURAL DE PEQUENOS AGRICULTORES E DA REFORMA AGRÁRIA DO CE')), convert(datetime, '27/05/2020', 103), 'PROC', GETDATE()),
('752', RTRIM(LTRIM('BCO BNP PARIBAS BRASIL S A')), RTRIM(LTRIM('Banco BNP Paribas Brasil S.A.                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('379', RTRIM(LTRIM('CECM COOPERFORTE')), RTRIM(LTRIM('COOPERFORTE - COOPERATIVA DE ECONOMIA E CRÉDITO MÚTUO DE FUNCIONÁRIOS DE INSTITU')), convert(datetime, '01/09/2020', 103), 'PROC', GETDATE()),
('399', RTRIM(LTRIM('KIRTON BANK')), RTRIM(LTRIM('Kirton Bank S.A. - Banco Múltiplo                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('108', RTRIM(LTRIM('PORTOCRED S.A. - CFI')), RTRIM(LTRIM('PORTOCRED S.A. - CREDITO, FINANCIAMENTO E INVESTIMENTO                          ')), convert(datetime, '03/11/2011', 103), 'PROC', GETDATE()),
('378', RTRIM(LTRIM('BCO BRASILEIRO DE CRÉDITO S.A.')), RTRIM(LTRIM('BANCO BRASILEIRO DE CRÉDITO SOCIEDADE ANÔNIMA                                   ')), convert(datetime, '11/09/2020', 103), 'PROC', GETDATE()),
('413', RTRIM(LTRIM('BCO BV S.A.')), RTRIM(LTRIM('BANCO BV S.A.                                                                   ')), convert(datetime, '21/05/2021', 103), 'PROC', GETDATE()),
('756', RTRIM(LTRIM('BANCO SICOOB S.A.')), RTRIM(LTRIM('BANCO COOPERATIVO SICOOB S.A. - BANCO SICOOB                                    ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('360', RTRIM(LTRIM('TRINUS CAPITAL DTVM')), RTRIM(LTRIM('TRINUS CAPITAL DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.              ')), convert(datetime, '16/07/2020', 103), 'PROC', GETDATE()),
('757', RTRIM(LTRIM('BCO KEB HANA DO BRASIL S.A.')), RTRIM(LTRIM('BANCO KEB HANA DO BRASIL S.A.                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('102', RTRIM(LTRIM('XP INVESTIMENTOS CCTVM S/A')), RTRIM(LTRIM('XP INVESTIMENTOS CORRETORA DE CÂMBIO,TÍTULOS E VALORES MOBILIÁRIOS S/A          ')), convert(datetime, '22/11/2011', 103), 'PROC', GETDATE()),
('084', RTRIM(LTRIM('UNIPRIME DO BRASIL - CC LTDA.')), RTRIM(LTRIM('UNIPRIME DO BRASIL - COOPERATIVA DE CRéDITO LTDA.                               ')), convert(datetime, '24/11/2009', 103), 'PROC', GETDATE()),
('180', RTRIM(LTRIM('CM CAPITAL MARKETS CCTVM LTDA')), RTRIM(LTRIM('CM CAPITAL MARKETS CORRETORA DE CÂMBIO, TÍTULOS E VALORES MOBILIÁRIOS LTDA      ')), convert(datetime, '20/01/2017', 103), 'PROC', GETDATE()),
('066', RTRIM(LTRIM('BCO MORGAN STANLEY S.A.')), RTRIM(LTRIM('BANCO MORGAN STANLEY S.A.                                                       ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('015', RTRIM(LTRIM('UBS BRASIL CCTVM S.A.')), RTRIM(LTRIM('UBS Brasil Corretora de Câmbio, Títulos e Valores Mobiliários S.A.              ')), convert(datetime, '15/03/2011', 103), 'PROC', GETDATE()),
('143', RTRIM(LTRIM('TREVISO CC S.A.')), RTRIM(LTRIM('Treviso Corretora de Câmbio S.A.                                                ')), convert(datetime, '24/08/2015', 103), 'PROC', GETDATE()),
('062', RTRIM(LTRIM('HIPERCARD BM S.A.')), RTRIM(LTRIM('Hipercard Banco Múltiplo S.A.                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('074', RTRIM(LTRIM('BCO. J.SAFRA S.A.')), RTRIM(LTRIM('Banco J. Safra S.A.                                                             ')), convert(datetime, '26/08/2004', 103), 'PROC', GETDATE()),
('099', RTRIM(LTRIM('UNIPRIME CENTRAL CCC LTDA.')), RTRIM(LTRIM('UNIPRIME CENTRAL - CENTRAL INTERESTADUAL DE COOPERATIVAS DE CREDITO LTDA.       ')), convert(datetime, '11/01/2011', 103), 'PROC', GETDATE()),
('387', RTRIM(LTRIM('BCO TOYOTA DO BRASIL S.A.')), RTRIM(LTRIM('Banco Toyota do Brasil S.A.                                                     ')), convert(datetime, '21/07/2020', 103), 'PROC', GETDATE()),
('326', RTRIM(LTRIM('PARATI - CFI S.A.')), RTRIM(LTRIM('PARATI - CREDITO, FINANCIAMENTO E INVESTIMENTO S.A.                             ')), convert(datetime, '07/01/2020', 103), 'PROC', GETDATE()),
('025', RTRIM(LTRIM('BCO ALFA S.A.')), RTRIM(LTRIM('Banco Alfa S.A.                                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('315', RTRIM(LTRIM('PI DTVM S.A.')), RTRIM(LTRIM('PI Distribuidora de Títulos e Valores Mobiliários S.A.                          ')), convert(datetime, '24/01/2019', 103), 'PROC', GETDATE()),
('075', RTRIM(LTRIM('BCO ABN AMRO S.A.')), RTRIM(LTRIM('Banco ABN Amro S.A.                                                             ')), convert(datetime, '11/11/2005', 103), 'PROC', GETDATE()),
('040', RTRIM(LTRIM('BCO CARGILL S.A.')), RTRIM(LTRIM('Banco Cargill S.A.                                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('307', RTRIM(LTRIM('TERRA INVESTIMENTOS DTVM')), RTRIM(LTRIM('Terra Investimentos Distribuidora de Títulos e Valores Mobiliários Ltda.        ')), convert(datetime, '25/10/2018', 103), 'PROC', GETDATE()),
('385', RTRIM(LTRIM('CECM DOS TRAB.PORT. DA G.VITOR')), RTRIM(LTRIM('COOPERATIVA DE ECONOMIA E CREDITO MUTUO DOS TRABALHADORES PORTUARIOS DA GRANDE V')), convert(datetime, '08/03/2022', 103), 'PROC', GETDATE()),
('425', RTRIM(LTRIM('SOCINAL S.A. CFI')), RTRIM(LTRIM('SOCINAL S.A. - CRÉDITO, FINANCIAMENTO E INVESTIMENTO                            ')), convert(datetime, '27/07/2021', 103), 'PROC', GETDATE()),
('190', RTRIM(LTRIM('SERVICOOP')), RTRIM(LTRIM('SERVICOOP - COOPERATIVA DE CRÉDITO DOS SERVIDORES PÚBLICOS ESTADUAIS E MUNICIPAI')), convert(datetime, '16/10/2017', 103), 'PROC', GETDATE()),
('296', RTRIM(LTRIM('VISION S.A. CC')), RTRIM(LTRIM('VISION S.A. CORRETORA DE CAMBIO                                                 ')), convert(datetime, '11/02/2019', 103), 'PROC', GETDATE()),
('063', RTRIM(LTRIM('BANCO BRADESCARD')), RTRIM(LTRIM('Banco Bradescard S.A.                                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('191', RTRIM(LTRIM('NOVA FUTURA CTVM LTDA.')), RTRIM(LTRIM('Nova Futura Corretora de Títulos e Valores Mobiliários Ltda.                    ')), convert(datetime, '22/06/2017', 103), 'PROC', GETDATE()),
('382', RTRIM(LTRIM('FIDUCIA SCMEPP LTDA')), RTRIM(LTRIM('FIDÚCIA SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO PORTE L')), convert(datetime, '31/07/2020', 103), 'PROC', GETDATE()),
('064', RTRIM(LTRIM('GOLDMAN SACHS DO BRASIL BM S.A')), RTRIM(LTRIM('GOLDMAN SACHS DO BRASIL BANCO MULTIPLO S.A.                                     ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('459', RTRIM(LTRIM('CCM SERV. PÚBLICOS SP')), RTRIM(LTRIM('COOPERATIVA DE CRÉDITO MÚTUO DE SERVIDORES PÚBLICOS DO ESTADO DE SÃO PAULO - CRE')), convert(datetime, '04/11/2021', 103), 'PROC', GETDATE()),
('097', RTRIM(LTRIM('CREDISIS CENTRAL DE COOPERATIVAS DE CRÉDITO LTDA.')), RTRIM(LTRIM('Credisis - Central de Cooperativas de Crédito Ltda.                             ')), convert(datetime, '08/02/2011', 103), 'PROC', GETDATE()),
('016', RTRIM(LTRIM('CCM DESP TRÂNS SC E RS')), RTRIM(LTRIM('COOPERATIVA DE CRÉDITO MÚTUO DOS DESPACHANTES DE TRÂNSITO DE SANTA CATARINA E RI')), convert(datetime, '08/05/2012', 103), 'PROC', GETDATE()),
('299', RTRIM(LTRIM('BCO SOROCRED S.A. - BM')), RTRIM(LTRIM('BANCO SOROCRED S.A. - BANCO MÚLTIPLO                                            ')), convert(datetime, '03/12/2018', 103), 'PROC', GETDATE()),
('468', RTRIM(LTRIM('PORTOSEG S.A. CFI')), RTRIM(LTRIM('PORTOSEG S.A. - CREDITO, FINANCIAMENTO E INVESTIMENTO                           ')), convert(datetime, '09/02/2022', 103), 'PROC', GETDATE()),
('012', RTRIM(LTRIM('BANCO INBURSA')), RTRIM(LTRIM('Banco Inbursa S.A.                                                              ')), convert(datetime, '04/05/2017', 103), 'PROC', GETDATE()),
('003', RTRIM(LTRIM('BCO DA AMAZONIA S.A.')), RTRIM(LTRIM('BANCO DA AMAZONIA S.A.                                                          ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('060', RTRIM(LTRIM('CONFIDENCE CC S.A.')), RTRIM(LTRIM('Confidence Corretora de Câmbio S.A.                                             ')), convert(datetime, '21/09/2010', 103), 'PROC', GETDATE()),
('037', RTRIM(LTRIM('BCO DO EST. DO PA S.A.')), RTRIM(LTRIM('Banco do Estado do Pará S.A.                                                    ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('411', RTRIM(LTRIM('VIA CERTA FINANCIADORA S.A. - CFI')), RTRIM(LTRIM('Via Certa Financiadora S.A. - Crédito, Financiamento e Investimentos            ')), convert(datetime, '22/02/2021', 103), 'PROC', GETDATE()),
('359', RTRIM(LTRIM('ZEMA CFI S/A')), RTRIM(LTRIM('ZEMA CRÉDITO, FINANCIAMENTO E INVESTIMENTO S/A                                  ')), convert(datetime, '10/06/2020', 103), 'PROC', GETDATE()),
('159', RTRIM(LTRIM('CASA CREDITO S.A. SCM')), RTRIM(LTRIM('Casa do Crédito S.A. Sociedade de Crédito ao Microempreendedor                  ')), convert(datetime, '04/09/2017', 103), 'PROC', GETDATE()),
('085', RTRIM(LTRIM('COOPCENTRAL AILOS')), RTRIM(LTRIM('Cooperativa Central de Crédito - Ailos                                          ')), convert(datetime, '17/05/2010', 103), 'PROC', GETDATE()),
('400', RTRIM(LTRIM('COOP CREDITAG')), RTRIM(LTRIM('COOPERATIVA DE CRÉDITO, POUPANÇA E SERVIÇOS FINANCEIROS DO CENTRO OESTE - CREDIT')), convert(datetime, '24/02/2021', 103), 'PROC', GETDATE()),
('429', RTRIM(LTRIM('CREDIARE CFI S.A.')), RTRIM(LTRIM('Crediare S.A. - Crédito, financiamento e investimento                           ')), convert(datetime, '08/09/2021', 103), 'PROC', GETDATE()),
('410', RTRIM(LTRIM('PLANNER SCM S.A.')), RTRIM(LTRIM('PLANNER SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR S.A.                          ')), convert(datetime, '17/02/2021', 103), 'PROC', GETDATE()),
('114', RTRIM(LTRIM('CENTRAL COOPERATIVA DE CRÉDITO NO ESTADO DO ESPÍRITO SANTO')), RTRIM(LTRIM('Central Cooperativa de Crédito no Estado do Espírito Santo - CECOOP             ')), convert(datetime, '27/10/2011', 103), 'PROC', GETDATE()),
('328', RTRIM(LTRIM('CECM FABRIC CALÇADOS SAPIRANGA')), RTRIM(LTRIM('COOPERATIVA DE ECONOMIA E CRÉDITO MÚTUO DOS FABRICANTES DE CALÇADOS DE SAPIRANGA')), convert(datetime, '22/03/2021', 103), 'PROC', GETDATE()),
('036', RTRIM(LTRIM('BCO BBI S.A.')), RTRIM(LTRIM('Banco Bradesco BBI S.A.                                                         ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('469', RTRIM(LTRIM('LECCA DTVM LTDA')), RTRIM(LTRIM('LECCA DISTRIBUIDORA DE TITULOS E VALORES MOBILIARIOS LTDA                       ')), convert(datetime, '09/03/2022', 103), 'PROC', GETDATE()),
('394', RTRIM(LTRIM('BCO BRADESCO FINANC. S.A.')), RTRIM(LTRIM('Banco Bradesco Financiamentos S.A.                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('004', RTRIM(LTRIM('BCO DO NORDESTE DO BRASIL S.A.')), RTRIM(LTRIM('Banco do Nordeste do Brasil S.A.                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('458', RTRIM(LTRIM('HEDGE INVESTMENTS DTVM LTDA.')), RTRIM(LTRIM('HEDGE INVESTMENTS DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.          ')), convert(datetime, '08/09/2021', 103), 'PROC', GETDATE()),
('320', RTRIM(LTRIM('BCO CCB BRASIL S.A.')), RTRIM(LTRIM('China Construction Bank (Brasil) Banco Múltiplo S/A                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('189', RTRIM(LTRIM('HS FINANCEIRA')), RTRIM(LTRIM('HS FINANCEIRA S/A CREDITO, FINANCIAMENTO E INVESTIMENTOS                        ')), convert(datetime, '05/06/2017', 103), 'PROC', GETDATE()),
('105', RTRIM(LTRIM('LECCA CFI S.A.')), RTRIM(LTRIM('Lecca Crédito, Financiamento e Investimento S/A                                 ')), convert(datetime, '27/12/2011', 103), 'PROC', GETDATE()),
('076', RTRIM(LTRIM('BCO KDB BRASIL S.A.')), RTRIM(LTRIM('Banco KDB do Brasil S.A.                                                        ')), convert(datetime, '10/04/2006', 103), 'PROC', GETDATE()),
('082', RTRIM(LTRIM('BANCO TOPÁZIO S.A.')), RTRIM(LTRIM('BANCO TOPÁZIO S.A.                                                              ')), convert(datetime, '12/06/2009', 103), 'PROC', GETDATE()),
('312', RTRIM(LTRIM('HSCM SCMEPP LTDA.')), RTRIM(LTRIM('HSCM - SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO PORTE LT')), convert(datetime, '09/02/2021', 103), 'PROC', GETDATE()),
('195', RTRIM(LTRIM('VALOR SCD S.A.')), RTRIM(LTRIM('VALOR SOCIEDADE DE CRÉDITO DIRETO S.A.                                          ')), convert(datetime, '09/08/2021', 103), 'PROC', GETDATE()),
('286', RTRIM(LTRIM('CCR DE OURO')), RTRIM(LTRIM('COOPERATIVA DE CRÉDITO RURAL DE OURO   SULCREDI/OURO                            ')), convert(datetime, '17/09/2018', 103), 'PROC', GETDATE()),
('093', RTRIM(LTRIM('POLOCRED SCMEPP LTDA.')), RTRIM(LTRIM('PÓLOCRED   SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO PORT')), convert(datetime, '09/11/2010', 103), 'PROC', GETDATE()),
('391', RTRIM(LTRIM('CCR DE IBIAM')), RTRIM(LTRIM('COOPERATIVA DE CREDITO RURAL DE IBIAM - SULCREDI/IBIAM                          ')), convert(datetime, '10/07/2020', 103), 'PROC', GETDATE()),
('273', RTRIM(LTRIM('CCR DE SÃO MIGUEL DO OESTE')), RTRIM(LTRIM('Cooperativa de Crédito Rural de São Miguel do Oeste - Sulcredi/São Miguel       ')), convert(datetime, '24/04/2018', 103), 'PROC', GETDATE()),
('368', RTRIM(LTRIM('BCO CSF S.A.')), RTRIM(LTRIM('Banco CSF S.A.                                                                  ')), convert(datetime, '25/05/2020', 103), 'PROC', GETDATE()),
('290', RTRIM(LTRIM('PAGSEGURO INTERNET IP S.A.')), RTRIM(LTRIM('PAGSEGURO INTERNET INSTITUIÇÃO DE PAGAMENTO S.A.                                ')), convert(datetime, '07/11/2018', 103), 'PROC', GETDATE()),
('259', RTRIM(LTRIM('MONEYCORP BCO DE CÂMBIO S.A.')), RTRIM(LTRIM('MONEYCORP BANCO DE CÂMBIO S.A.                                                  ')), convert(datetime, '27/01/2020', 103), 'PROC', GETDATE()),
('395', RTRIM(LTRIM('F D GOLD DTVM LTDA')), RTRIM(LTRIM('F.D GOLD - DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.                 ')), convert(datetime, '01/12/2020', 103), 'PROC', GETDATE()),
('364', RTRIM(LTRIM('GERENCIANET')), RTRIM(LTRIM('GERENCIANET S.A.                                                                ')), convert(datetime, '16/03/2020', 103), 'PROC', GETDATE()),
('157', RTRIM(LTRIM('ICAP DO BRASIL CTVM LTDA.')), RTRIM(LTRIM('ICAP do Brasil Corretora de Títulos e Valores Mobiliários Ltda.                 ')), convert(datetime, '12/02/2016', 103), 'PROC', GETDATE()),
('183', RTRIM(LTRIM('SOCRED SA - SCMEPP')), RTRIM(LTRIM('SOCRED S.A. - SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO P')), convert(datetime, '12/06/2017', 103), 'PROC', GETDATE()),
('014', RTRIM(LTRIM('STATE STREET BR S.A. BCO COMERCIAL')), RTRIM(LTRIM('STATE STREET BRASIL S.A. - BANCO COMERCIAL                                      ')), convert(datetime, '08/08/2008', 103), 'PROC', GETDATE()),
('130', RTRIM(LTRIM('CARUANA SCFI')), RTRIM(LTRIM('CARUANA S.A. - SOCIEDADE DE CRÉDITO, FINANCIAMENTO E INVESTIMENTO               ')), convert(datetime, '12/08/2013', 103), 'PROC', GETDATE()),
('358', RTRIM(LTRIM('MIDWAY S.A. - SCFI')), RTRIM(LTRIM('MIDWAY S.A. - CRÉDITO, FINANCIAMENTO E INVESTIMENTO                             ')), convert(datetime, '01/02/2021', 103), 'PROC', GETDATE()),
('127', RTRIM(LTRIM('CODEPE CVC S.A.')), RTRIM(LTRIM('Codepe Corretora de Valores e Câmbio S.A.                                       ')), convert(datetime, '09/11/2012', 103), 'PROC', GETDATE()),
('079', RTRIM(LTRIM('BCO ORIGINAL DO AGRO S/A')), RTRIM(LTRIM('Banco Original do Agronegócio S.A.                                              ')), convert(datetime, '25/07/2008', 103), 'PROC', GETDATE()),
('340', RTRIM(LTRIM('SUPER PAGAMENTOS E ADMINISTRACAO DE MEIOS ELETRONICOS S.A.')), RTRIM(LTRIM('Super Pagamentos e Administração de Meios Eletrônicos S.A.                      ')), convert(datetime, '25/09/2019', 103), 'PROC', GETDATE()),
('081', RTRIM(LTRIM('BANCOSEGURO S.A.')), RTRIM(LTRIM('BancoSeguro S.A.                                                                ')), convert(datetime, '24/10/2008', 103), 'PROC', GETDATE()),
('133', RTRIM(LTRIM('CRESOL CONFEDERAÇÃO')), RTRIM(LTRIM('CONFEDERAÇÃO NACIONAL DAS COOPERATIVAS CENTRAIS DE CRÉDITO E ECONOMIA FAMILIAR E')), convert(datetime, '02/05/2016', 103), 'PROC', GETDATE()),
('323', RTRIM(LTRIM('MERCADO PAGO IP LTDA.')), RTRIM(LTRIM('MERCADO PAGO INSTITUIÇÃO DE PAGAMENTO LTDA.                                     ')), convert(datetime, '24/06/2019', 103), 'PROC', GETDATE()),
('121', RTRIM(LTRIM('BCO AGIBANK S.A.')), RTRIM(LTRIM('Banco Agibank S.A.                                                              ')), convert(datetime, '04/04/2012', 103), 'PROC', GETDATE()),
('083', RTRIM(LTRIM('BCO DA CHINA BRASIL S.A.')), RTRIM(LTRIM('Banco da China Brasil S.A.                                                      ')), convert(datetime, '14/07/2009', 103), 'PROC', GETDATE()),
('138', RTRIM(LTRIM('GET MONEY CC LTDA')), RTRIM(LTRIM('Get Money Corretora de Câmbio S.A.                                              ')), convert(datetime, '14/07/2014', 103), 'PROC', GETDATE()),
('024', RTRIM(LTRIM('BCO BANDEPE S.A.')), RTRIM(LTRIM('Banco Bandepe S.A.                                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('384', RTRIM(LTRIM('GLOBAL SCM LTDA')), RTRIM(LTRIM('GLOBAL FINANÇAS SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO')), convert(datetime, '13/10/2020', 103), 'PROC', GETDATE()),
('426', RTRIM(LTRIM('BIORC FINANCEIRA - CFI S.A.')), RTRIM(LTRIM('Biorc Financeira - Crédito, Financiamento e Investimento S.A.                   ')), convert(datetime, '21/05/2021', 103), 'PROC', GETDATE()),
('088', RTRIM(LTRIM('BANCO RANDON S.A.')), RTRIM(LTRIM('BANCO RANDON S.A.                                                               ')), convert(datetime, '03/08/2020', 103), 'PROC', GETDATE()),
('319', RTRIM(LTRIM('OM DTVM LTDA')), RTRIM(LTRIM('OM DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA                          ')), convert(datetime, '01/03/2019', 103), 'PROC', GETDATE()),
('274', RTRIM(LTRIM('MONEY PLUS SCMEPP LTDA')), RTRIM(LTRIM('MONEY PLUS SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E A EMPRESA DE PEQUENO PORT')), convert(datetime, '10/09/2019', 103), 'PROC', GETDATE()),
('095', RTRIM(LTRIM('TRAVELEX BANCO DE CÂMBIO S.A.')), RTRIM(LTRIM('Travelex Banco de Câmbio S.A.                                                   ')), convert(datetime, '22/06/2010', 103), 'PROC', GETDATE()),
('094', RTRIM(LTRIM('BANCO FINAXIS')), RTRIM(LTRIM('Banco Finaxis S.A.                                                              ')), convert(datetime, '23/08/2010', 103), 'PROC', GETDATE()),
('478', RTRIM(LTRIM('GAZINCRED S.A. SCFI')), RTRIM(LTRIM('GAZINCRED S.A. SOCIEDADE DE CRÉDITO, FINANCIAMENTO E INVESTIMENTO               ')), convert(datetime, '21/03/2022', 103), 'PROC', GETDATE()),
('276', RTRIM(LTRIM('BCO SENFF S.A.')), RTRIM(LTRIM('BANCO SENFF S.A.                                                                ')), convert(datetime, '12/06/2018', 103), 'PROC', GETDATE()),
('447', RTRIM(LTRIM('MIRAE ASSET CCTVM LTDA')), RTRIM(LTRIM('MIRAE ASSET WEALTH MANAGEMENT (BRAZIL) CORRETORA DE CÂMBIO, TÍTULOS E VALORES MO')), convert(datetime, '27/09/2021', 103), 'PROC', GETDATE()),
('092', RTRIM(LTRIM('BRK S.A. CFI')), RTRIM(LTRIM('BRK S.A. Crédito, Financiamento e Investimento                                  ')), convert(datetime, '01/07/2010', 103), 'PROC', GETDATE()),
('047', RTRIM(LTRIM('BCO DO EST. DE SE S.A.')), RTRIM(LTRIM('Banco do Estado de Sergipe S.A.                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('144', RTRIM(LTRIM('BEXS BCO DE CAMBIO S.A.')), RTRIM(LTRIM('BEXS BANCO DE CÂMBIO S/A                                                        ')), convert(datetime, '23/05/2016', 103), 'PROC', GETDATE()),
('332', RTRIM(LTRIM('ACESSO SOLUCOES PAGAMENTO SA')), RTRIM(LTRIM('Acesso Soluções de Pagamento S.A.                                               ')), convert(datetime, '16/08/2019', 103), 'PROC', GETDATE()),
('450', RTRIM(LTRIM('FITBANK PAGAMENTOS ELETRONICOS S.A.')), RTRIM(LTRIM('FITBANK PAGAMENTOS ELETRONICOS S.A.                                             ')), convert(datetime, '30/06/2021', 103), 'PROC', GETDATE()),
('126', RTRIM(LTRIM('BR PARTNERS BI')), RTRIM(LTRIM('BR Partners Banco de Investimento S.A.                                          ')), convert(datetime, '04/01/2013', 103), 'PROC', GETDATE()),
('325', RTRIM(LTRIM('ÓRAMA DTVM S.A.')), RTRIM(LTRIM('Órama Distribuidora de Títulos e Valores Mobiliários S.A.                       ')), convert(datetime, '31/05/2019', 103), 'PROC', GETDATE()),
('301', RTRIM(LTRIM('BPP IP S.A.')), RTRIM(LTRIM('BPP Instituição de Pagamento S.A.                                               ')), convert(datetime, '26/09/2018', 103), 'PROC', GETDATE()),
('173', RTRIM(LTRIM('BRL TRUST DTVM SA')), RTRIM(LTRIM('BRL Trust Distribuidora de Títulos e Valores Mobiliários S.A.                   ')), convert(datetime, '28/11/2016', 103), 'PROC', GETDATE()),
('331', RTRIM(LTRIM('FRAM CAPITAL DTVM S.A.')), RTRIM(LTRIM('Fram Capital Distribuidora de Títulos e Valores Mobiliários S.A.                ')), convert(datetime, '27/09/2019', 103), 'PROC', GETDATE()),
('119', RTRIM(LTRIM('BCO WESTERN UNION')), RTRIM(LTRIM('Banco Western Union do Brasil S.A.                                              ')), convert(datetime, '10/10/2011', 103), 'PROC', GETDATE()),
('396', RTRIM(LTRIM('HUB PAGAMENTOS')), RTRIM(LTRIM('HUB PAGAMENTOS S.A                                                              ')), convert(datetime, '13/08/2020', 103), 'PROC', GETDATE()),
('309', RTRIM(LTRIM('CAMBIONET CC LTDA')), RTRIM(LTRIM('CAMBIONET CORRETORA DE CÂMBIO LTDA.                                             ')), convert(datetime, '21/11/2018', 103), 'PROC', GETDATE()),
('254', RTRIM(LTRIM('PARANA BCO S.A.')), RTRIM(LTRIM('PARANÁ BANCO S.A.                                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('268', RTRIM(LTRIM('BARI CIA HIPOTECÁRIA')), RTRIM(LTRIM('BARI COMPANHIA HIPOTECÁRIA                                                      ')), convert(datetime, '21/12/2017', 103), 'PROC', GETDATE()),
('401', RTRIM(LTRIM('IUGU IP S.A.')), RTRIM(LTRIM('IUGU INSTITUIÇÃO DE PAGAMENTO S.A.                                              ')), convert(datetime, '06/05/2021', 103), 'PROC', GETDATE()),
('107', RTRIM(LTRIM('BCO BOCOM BBM S.A.')), RTRIM(LTRIM('Banco Bocom BBM S.A.                                                            ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('412', RTRIM(LTRIM('SOCIAL BANK S/A')), RTRIM(LTRIM('SOCIAL BANK BANCO MÚLTIPLO S/A                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('124', RTRIM(LTRIM('BCO WOORI BANK DO BRASIL S.A.')), RTRIM(LTRIM('Banco Woori Bank do Brasil S.A.                                                 ')), convert(datetime, '09/08/2012', 103), 'PROC', GETDATE()),
('149', RTRIM(LTRIM('FACTA S.A. CFI')), RTRIM(LTRIM('Facta Financeira S.A. - Crédito Financiamento e Investimento                    ')), convert(datetime, '08/07/2015', 103), 'PROC', GETDATE()),
('197', RTRIM(LTRIM('STONE IP S.A.')), RTRIM(LTRIM('STONE INSTITUIÇÃO DE PAGAMENTO S.A.                                             ')), convert(datetime, '18/10/2017', 103), 'PROC', GETDATE()),
('439', RTRIM(LTRIM('ID CTVM')), RTRIM(LTRIM('ID CORRETORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                              ')), convert(datetime, '30/09/2021', 103), 'PROC', GETDATE()),
('313', RTRIM(LTRIM('AMAZÔNIA CC LTDA.')), RTRIM(LTRIM('AMAZÔNIA CORRETORA DE CÂMBIO LTDA.                                              ')), convert(datetime, '28/08/2020', 103), 'PROC', GETDATE()),
('142', RTRIM(LTRIM('BROKER BRASIL CC LTDA.')), RTRIM(LTRIM('Broker Brasil Corretora de Câmbio Ltda.                                         ')), convert(datetime, '23/06/2015', 103), 'PROC', GETDATE()),
('389', RTRIM(LTRIM('BCO MERCANTIL DO BRASIL S.A.')), RTRIM(LTRIM('Banco Mercantil do Brasil S.A.                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('184', RTRIM(LTRIM('BCO ITAÚ BBA S.A.')), RTRIM(LTRIM('Banco Itaú BBA S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('634', RTRIM(LTRIM('BCO TRIANGULO S.A.')), RTRIM(LTRIM('BANCO TRIANGULO S.A.                                                            ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('545', RTRIM(LTRIM('SENSO CCVM S.A.')), RTRIM(LTRIM('SENSO CORRETORA DE CAMBIO E VALORES MOBILIARIOS S.A                             ')), convert(datetime, '27/09/2010', 103), 'PROC', GETDATE()),
('132', RTRIM(LTRIM('ICBC DO BRASIL BM S.A.')), RTRIM(LTRIM('ICBC do Brasil Banco Múltiplo S.A.                                              ')), convert(datetime, '26/09/2013', 103), 'PROC', GETDATE()),
('298', RTRIM(LTRIM('VIPS CC LTDA.')), RTRIM(LTRIM('Vips Corretora de Câmbio Ltda.                                                 ')), convert(datetime, '15/08/2018', 103), 'PROC', GETDATE()),
('377', RTRIM(LTRIM('BMS SCD S.A.')), RTRIM(LTRIM('BMS SOCIEDADE DE CRÉDITO DIRETO S.A.                                            ')), convert(datetime, '01/10/2020', 103), 'PROC', GETDATE()),
('321', RTRIM(LTRIM('CREFAZ SCMEPP LTDA')), RTRIM(LTRIM('CREFAZ SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E A EMPRESA DE PEQUENO PORTE LT')), convert(datetime, '11/06/2019', 103), 'PROC', GETDATE()),
('260', RTRIM(LTRIM('NU PAGAMENTOS - IP')), RTRIM(LTRIM('NU PAGAMENTOS S.A. - INSTITUIÇÃO DE PAGAMENTO                                   ')), convert(datetime, '10/10/2017', 103), 'PROC', GETDATE()),
('470', RTRIM(LTRIM('CDC SOCIEDADE DE CRÉDITO')), RTRIM(LTRIM('CDC SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESADE PEQUENO PORTE LTDA. ')), convert(datetime, '15/03/2022', 103), 'PROC', GETDATE()),
('129', RTRIM(LTRIM('UBS BRASIL BI S.A.')), RTRIM(LTRIM('UBS Brasil Banco de Investimento S.A.                                           ')), convert(datetime, '12/03/2014', 103), 'PROC', GETDATE()),
('128', RTRIM(LTRIM('MS BANK S.A. BCO DE CÂMBIO')), RTRIM(LTRIM('MS Bank S.A. Banco de Câmbio                                                    ')), convert(datetime, '27/04/2015', 103), 'PROC', GETDATE()),
('416', RTRIM(LTRIM('LAMARA SCD S.A.')), RTRIM(LTRIM('LAMARA SOCIEDADE DE CRÉDITO DIRETO S.A.                                         ')), convert(datetime, '08/04/2021', 103), 'PROC', GETDATE()),
('461', RTRIM(LTRIM('ASAAS IP S.A.')), RTRIM(LTRIM('ASAAS GESTÃO FINANCEIRA INSTITUIÇÃO DE PAGAMENTO S.A.                           ')), convert(datetime, '29/10/2021', 103), 'PROC', GETDATE()),
('194', RTRIM(LTRIM('PARMETAL DTVM LTDA')), RTRIM(LTRIM('PARMETAL DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA                    ')), convert(datetime, '25/10/2017', 103), 'PROC', GETDATE()),
('383', RTRIM(LTRIM('EBANX IP LTDA.')), RTRIM(LTRIM('EBANX INSTITUICAO DE PAGAMENTOS LTDA.                                           ')), convert(datetime, '09/07/2020', 103), 'PROC', GETDATE()),
('324', RTRIM(LTRIM('CARTOS SCD S.A.')), RTRIM(LTRIM('CARTOS SOCIEDADE DE CRÉDITO DIRETO S.A.                                         ')), convert(datetime, '16/09/2020', 103), 'PROC', GETDATE()),
('310', RTRIM(LTRIM('VORTX DTVM LTDA.')), RTRIM(LTRIM('VORTX DISTRIBUIDORA DE TITULOS E VALORES MOBILIARIOS LTDA.                      ')), convert(datetime, '18/10/2018', 103), 'PROC', GETDATE()),
('380', RTRIM(LTRIM('PICPAY')), RTRIM(LTRIM('PICPAY INSTITUIçãO DE PAGAMENTO S.A.                                            ')), convert(datetime, '15/10/2020', 103), 'PROC', GETDATE()),
('163', RTRIM(LTRIM('COMMERZBANK BRASIL S.A. - BCO MÚLTIPLO')), RTRIM(LTRIM('Commerzbank Brasil S.A. - Banco Múltiplo                                        ')), convert(datetime, '10/08/2016', 103), 'PROC', GETDATE()),
('280', RTRIM(LTRIM('WILL FINANCEIRA S.A.CFI')), RTRIM(LTRIM('WILL FINANCEIRA S.A. CRÉDITO, FINANCIAMENTO E INVESTIMENTO                      ')), convert(datetime, '10/05/2018', 103), 'PROC', GETDATE()),
('146', RTRIM(LTRIM('GUITTA CC LTDA')), RTRIM(LTRIM('GUITTA CORRETORA DE CAMBIO LTDA.                                                ')), convert(datetime, '20/05/2015', 103), 'PROC', GETDATE()),
('343', RTRIM(LTRIM('FFA SCMEPP LTDA.')), RTRIM(LTRIM('FFA SOCIEDADE DE CRÉDITO AO MICROEMPREENDEDOR E À EMPRESA DE PEQUENO PORTE LTDA.')), convert(datetime, '12/11/2019', 103), 'PROC', GETDATE()),
('279', RTRIM(LTRIM('CCR DE PRIMAVERA DO LESTE')), RTRIM(LTRIM('COOPERATIVA DE CREDITO RURAL DE PRIMAVERA DO LESTE                              ')), convert(datetime, '05/06/2018', 103), 'PROC', GETDATE()),
('335', RTRIM(LTRIM('BANCO DIGIO')), RTRIM(LTRIM('Banco Digio S.A.                                                                ')), convert(datetime, '25/11/2019', 103), 'PROC', GETDATE()),
('349', RTRIM(LTRIM('AL5 S.A. CFI')), RTRIM(LTRIM('AL5 S.A. CRÉDITO, FINANCIAMENTO E INVESTIMENTO                                  ')), convert(datetime, '24/10/2019', 103), 'PROC', GETDATE()),
('427', RTRIM(LTRIM('CRED-UFES')), RTRIM(LTRIM('COOPERATIVA DE CREDITO DOS SERVIDORES DA UNIVERSIDADE FEDERAL DO ESPIRITO SANTO ')), convert(datetime, '26/04/2021', 103), 'PROC', GETDATE()),
('374', RTRIM(LTRIM('REALIZE CFI S.A.')), RTRIM(LTRIM('REALIZE CRÉDITO, FINANCIAMENTO E INVESTIMENTO S.A.                              ')), convert(datetime, '16/09/2020', 103), 'PROC', GETDATE()),
('278', RTRIM(LTRIM('GENIAL INVESTIMENTOS CVM S.A.')), RTRIM(LTRIM('Genial Investimentos Corretora de Valores Mobiliários S.A.                      ')), convert(datetime, '14/05/2018', 103), 'PROC', GETDATE()),
('271', RTRIM(LTRIM('IB CCTVM S.A.')), RTRIM(LTRIM('IB Corretora de Câmbio, Títulos e Valores Mobiliários S.A.                      ')), convert(datetime, '26/02/2018', 103), 'PROC', GETDATE()),
('021', RTRIM(LTRIM('BCO BANESTES S.A.')), RTRIM(LTRIM('BANESTES S.A. BANCO DO ESTADO DO ESPIRITO SANTO                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('246', RTRIM(LTRIM('BCO ABC BRASIL S.A.')), RTRIM(LTRIM('Banco ABC Brasil S.A.                                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('292', RTRIM(LTRIM('BS2 DTVM S.A.')), RTRIM(LTRIM('BS2 Distribuidora de Títulos e Valores Mobiliários S.A.                         ')), convert(datetime, '24/10/2018', 103), 'PROC', GETDATE()),
('751', RTRIM(LTRIM('SCOTIABANK BRASIL')), RTRIM(LTRIM('Scotiabank Brasil S.A. Banco Múltiplo                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('352', RTRIM(LTRIM('TORO CTVM S.A.')), RTRIM(LTRIM('TORO CORRETORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                            ')), convert(datetime, '29/11/2019', 103), 'PROC', GETDATE()),
('208', RTRIM(LTRIM('BANCO BTG PACTUAL S.A.')), RTRIM(LTRIM('Banco BTG Pactual S.A.                                                          ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('386', RTRIM(LTRIM('NU FINANCEIRA S.A. CFI')), RTRIM(LTRIM('NU FINANCEIRA S.A. - Sociedade de Crédito, Financiamento e Investimento         ')), convert(datetime, '12/01/2021', 103), 'PROC', GETDATE()),
('746', RTRIM(LTRIM('BCO MODAL S.A.')), RTRIM(LTRIM('Banco Modal S.A.                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('241', RTRIM(LTRIM('BCO CLASSICO S.A.')), RTRIM(LTRIM('BANCO CLASSICO S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('398', RTRIM(LTRIM('IDEAL CTVM S.A.')), RTRIM(LTRIM('IDEAL CORRETORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                           ')), convert(datetime, '11/01/2021', 103), 'PROC', GETDATE()),
('336', RTRIM(LTRIM('BCO C6 S.A.')), RTRIM(LTRIM('Banco C6 S.A.                                                                   ')), convert(datetime, '31/01/2019', 103), 'PROC', GETDATE()),
('612', RTRIM(LTRIM('BCO GUANABARA S.A.')), RTRIM(LTRIM('Banco Guanabara S.A.                                                            ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('604', RTRIM(LTRIM('BCO INDUSTRIAL DO BRASIL S.A.')), RTRIM(LTRIM('Banco Industrial do Brasil S.A.                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('505', RTRIM(LTRIM('BCO CREDIT SUISSE S.A.')), RTRIM(LTRIM('Banco Credit Suisse (Brasil) S.A.                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('329', RTRIM(LTRIM('QI SCD S.A.')), RTRIM(LTRIM('QI Sociedade de Crédito Direto S.A.                                             ')), convert(datetime, '30/04/2019', 103), 'PROC', GETDATE()),
('196', RTRIM(LTRIM('FAIR CC S.A.')), RTRIM(LTRIM('FAIR CORRETORA DE CAMBIO S.A.                                                   ')), convert(datetime, '11/09/2017', 103), 'PROC', GETDATE()),
('342', RTRIM(LTRIM('CREDITAS SCD')), RTRIM(LTRIM('Creditas Sociedade de Crédito Direto S.A.                                       ')), convert(datetime, '26/07/2019', 103), 'PROC', GETDATE()),
('300', RTRIM(LTRIM('BCO LA NACION ARGENTINA')), RTRIM(LTRIM('Banco de la Nacion Argentina                                                    ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('477', RTRIM(LTRIM('CITIBANK N.A.')), RTRIM(LTRIM('Citibank N.A.                                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('266', RTRIM(LTRIM('BCO CEDULA S.A.')), RTRIM(LTRIM('BANCO CEDULA S.A.                                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('122', RTRIM(LTRIM('BCO BRADESCO BERJ S.A.')), RTRIM(LTRIM('Banco Bradesco BERJ S.A.                                                        ')), convert(datetime, '08/11/2011', 103), 'PROC', GETDATE()),
('376', RTRIM(LTRIM('BCO J.P. MORGAN S.A.')), RTRIM(LTRIM('BANCO J.P. MORGAN S.A.                                                          ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('348', RTRIM(LTRIM('BCO XP S.A.')), RTRIM(LTRIM('Banco XP S.A.                                                                   ')), convert(datetime, '01/11/2019', 103), 'PROC', GETDATE()),
('473', RTRIM(LTRIM('BCO CAIXA GERAL BRASIL S.A.')), RTRIM(LTRIM('Banco Caixa Geral - Brasil S.A.                                                 ')), convert(datetime, '31/03/2009', 103), 'PROC', GETDATE()),
('745', RTRIM(LTRIM('BCO CITIBANK S.A.')), RTRIM(LTRIM('Banco Citibank S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('120', RTRIM(LTRIM('BCO RODOBENS S.A.')), RTRIM(LTRIM('BANCO RODOBENS S.A.                                                             ')), convert(datetime, '06/02/2012', 103), 'PROC', GETDATE()),
('265', RTRIM(LTRIM('BCO FATOR S.A.')), RTRIM(LTRIM('Banco Fator S.A.                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('007', RTRIM(LTRIM('BNDES')), RTRIM(LTRIM('BANCO NACIONAL DE DESENVOLVIMENTO ECONOMICO E SOCIAL                            ')), convert(datetime, '30/06/2014', 103), 'PROC', GETDATE()),
('188', RTRIM(LTRIM('ATIVA S.A. INVESTIMENTOS CCTVM')), RTRIM(LTRIM('ATIVA INVESTIMENTOS S.A. CORRETORA DE TÍTULOS, CÂMBIO E VALORES                 ')), convert(datetime, '28/07/2017', 103), 'PROC', GETDATE()),
('134', RTRIM(LTRIM('BGC LIQUIDEZ DTVM LTDA')), RTRIM(LTRIM('BGC LIQUIDEZ DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA                ')), convert(datetime, '28/07/2014', 103), 'PROC', GETDATE()),
('029', RTRIM(LTRIM('BANCO ITAÚ CONSIGNADO S.A.')), RTRIM(LTRIM('Banco Itaú Consignado S.A.                                                      ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('467', RTRIM(LTRIM('MASTER S/A CCTVM')), RTRIM(LTRIM('MASTER S/A CORRETORA DE CâMBIO, TíTULOS E VALORES MOBILIáRIOS                   ')), convert(datetime, '16/12/2021', 103), 'PROC', GETDATE()),
('243', RTRIM(LTRIM('BANCO MASTER')), RTRIM(LTRIM('BANCO MASTER S/A                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('397', RTRIM(LTRIM('LISTO SCD S.A.')), RTRIM(LTRIM('LISTO SOCIEDADE DE CREDITO DIRETO S.A.                                          ')), convert(datetime, '15/10/2020', 103), 'PROC', GETDATE()),
('078', RTRIM(LTRIM('HAITONG BI DO BRASIL S.A.')), RTRIM(LTRIM('Haitong Banco de Investimento do Brasil S.A.                                    ')), convert(datetime, '31/07/2008', 103), 'PROC', GETDATE()),
('355', RTRIM(LTRIM('ÓTIMO SCD S.A.')), RTRIM(LTRIM('ÓTIMO SOCIEDADE DE CRÉDITO DIRETO S.A.                                          ')), convert(datetime, '21/10/2019', 103), 'PROC', GETDATE()),
('367', RTRIM(LTRIM('VITREO DTVM S.A.')), RTRIM(LTRIM('VITREO DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                      ')), convert(datetime, '12/03/2020', 103), 'PROC', GETDATE()),
('445', RTRIM(LTRIM('PLANTAE CFI')), RTRIM(LTRIM('PLANTAE S.A. - CRÉDITO, FINANCIAMENTO E INVESTIMENTO                            ')), convert(datetime, '23/06/2021', 103), 'PROC', GETDATE()),
('373', RTRIM(LTRIM('UP.P SEP S.A.')), RTRIM(LTRIM('UP.P SOCIEDADE DE EMPRÉSTIMO ENTRE PESSOAS S.A.                                 ')), convert(datetime, '25/03/2020', 103), 'PROC', GETDATE()),
('111', RTRIM(LTRIM('OLIVEIRA TRUST DTVM S.A.')), RTRIM(LTRIM('OLIVEIRA TRUST DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIARIOS S.A.              ')), convert(datetime, '24/03/2011', 103), 'PROC', GETDATE()),
('408', RTRIM(LTRIM('BONUSPAGO SCD S.A.')), RTRIM(LTRIM('BONUSPAGO SOCIEDADE DE CRÉDITO DIRETO S.A.                                      ')), convert(datetime, '14/10/2020', 103), 'PROC', GETDATE()),
('402', RTRIM(LTRIM('COBUCCIO SCD S.A.')), RTRIM(LTRIM('COBUCCIO SOCIEDADE DE CRÉDITO DIRETO S.A.                                       ')), convert(datetime, '03/12/2020', 103), 'PROC', GETDATE()),
('404', RTRIM(LTRIM('SUMUP SCD S.A.')), RTRIM(LTRIM('SUMUP SOCIEDADE DE CRÉDITO DIRETO S.A.                                          ')), convert(datetime, '16/10/2020', 103), 'PROC', GETDATE()),
('418', RTRIM(LTRIM('ZIPDIN SCD S.A.')), RTRIM(LTRIM('ZIPDIN SOLUÇÕES DIGITAIS SOCIEDADE DE CRÉDITO DIRETO S/A                        ')), convert(datetime, '26/08/2021', 103), 'PROC', GETDATE()),
('414', RTRIM(LTRIM('WORK SCD S.A.')), RTRIM(LTRIM('WORK SOCIEDADE DE CRÉDITO DIRETO S.A.                                           ')), convert(datetime, '25/03/2021', 103), 'PROC', GETDATE()),
('449', RTRIM(LTRIM('DMCARD SCD S.A.')), RTRIM(LTRIM('DMCARD SOCIEDADE DE CRÉDITO DIRETO S.A.                                         ')), convert(datetime, '22/10/2021', 103), 'PROC', GETDATE()),
('406', RTRIM(LTRIM('ACCREDITO SCD S.A.')), RTRIM(LTRIM('ACCREDITO - SOCIEDADE DE CRÉDITO DIRETO S.A.                                    ')), convert(datetime, '27/11/2020', 103), 'PROC', GETDATE()),
('403', RTRIM(LTRIM('CORA SCD S.A.')), RTRIM(LTRIM('CORA SOCIEDADE DE CRÉDITO DIRETO S.A.                                           ')), convert(datetime, '29/09/2020', 103), 'PROC', GETDATE()),
('419', RTRIM(LTRIM('NUMBRS SCD S.A.')), RTRIM(LTRIM('NUMBRS SOCIEDADE DE CRÉDITO DIRETO S.A.                                         ')), convert(datetime, '18/03/2021', 103), 'PROC', GETDATE()),
('435', RTRIM(LTRIM('DELCRED SCD S.A.')), RTRIM(LTRIM('DELCRED SOCIEDADE DE CRÉDITO DIRETO S.A.                                        ')), convert(datetime, '27/08/2021', 103), 'PROC', GETDATE()),
('421', RTRIM(LTRIM('CC LAR CREDI')), RTRIM(LTRIM('LAR COOPERATIVA DE CRÉDITO - LAR CREDI                                          ')), convert(datetime, '21/07/2021', 103), 'PROC', GETDATE()),
('443', RTRIM(LTRIM('CREDIHOME SCD')), RTRIM(LTRIM('CREDIHOME SOCIEDADE DE CRÉDITO DIRETO S.A.                                      ')), convert(datetime, '18/11/2021', 103), 'PROC', GETDATE()),
('457', RTRIM(LTRIM('UY3 SCD S/A')), RTRIM(LTRIM('UY3 SOCIEDADE DE CRÉDITO DIRETO S/A                                             ')), convert(datetime, '26/10/2021', 103), 'PROC', GETDATE()),
('428', RTRIM(LTRIM('CRED-SYSTEM SCD S.A.')), RTRIM(LTRIM('CRED-SYSTEM SOCIEDADE DE CRÉDITO DIRETO S.A.                                    ')), convert(datetime, '20/04/2021', 103), 'PROC', GETDATE()),
('448', RTRIM(LTRIM('HEMERA DTVM LTDA.')), RTRIM(LTRIM('HEMERA DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.                     ')), convert(datetime, '17/08/2021', 103), 'PROC', GETDATE()),
('452', RTRIM(LTRIM('CREDIFIT SCD S.A.')), RTRIM(LTRIM('CREDIFIT SOCIEDADE DE CRÉDITO DIRETO S.A.                                       ')), convert(datetime, '15/09/2021', 103), 'PROC', GETDATE()),
('462', RTRIM(LTRIM('STARK SCD S.A.')), RTRIM(LTRIM('STARK SOCIEDADE DE CRÉDITO DIRETO S.A.                                          ')), convert(datetime, '01/10/2021', 103), 'PROC', GETDATE()),
('465', RTRIM(LTRIM('CAPITAL CONSIG SCD S.A.')), RTRIM(LTRIM('CAPITAL CONSIG SOCIEDADE DE CRÉDITO DIRETO S.A.                                 ')), convert(datetime, '03/12/2021', 103), 'PROC', GETDATE()),
('306', RTRIM(LTRIM('PORTOPAR DTVM LTDA')), RTRIM(LTRIM('PORTOPAR DISTRIBUIDORA DE TITULOS E VALORES MOBILIARIOS LTDA.                   ')), convert(datetime, '06/02/2019', 103), 'PROC', GETDATE()),
('463', RTRIM(LTRIM('AZUMI DTVM')), RTRIM(LTRIM('AZUMI DISTRIBUIDORA DE TíTULOS E VALORES MOBILIáRIOS LTDA.                      ')), convert(datetime, '21/12/2021', 103), 'PROC', GETDATE()),
('451', RTRIM(LTRIM('J17 - SCD S/A')), RTRIM(LTRIM('J17 - SOCIEDADE DE CRÉDITO DIRETO S/A                                           ')), convert(datetime, '18/01/2022', 103), 'PROC', GETDATE()),
('444', RTRIM(LTRIM('TRINUS SCD S.A.')), RTRIM(LTRIM('TRINUS SOCIEDADE DE CRÉDITO DIRETO S.A.                                         ')), convert(datetime, '09/09/2021', 103), 'PROC', GETDATE()),
('454', RTRIM(LTRIM('MÉRITO DTVM LTDA.')), RTRIM(LTRIM('MÉRITO DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.                     ')), convert(datetime, '23/11/2021', 103), 'PROC', GETDATE()),
('460', RTRIM(LTRIM('UNAVANTI SCD S/A')), RTRIM(LTRIM('UNAVANTI SOCIEDADE DE CRÉDITO DIRETO S/A                                        ')), convert(datetime, '18/01/2022', 103), 'PROC', GETDATE()),
('017', RTRIM(LTRIM('BNY MELLON BCO S.A.')), RTRIM(LTRIM('BNY Mellon Banco S.A.                                                           ')), convert(datetime, '19/11/2012', 103), 'PROC', GETDATE()),
('174', RTRIM(LTRIM('PEFISA S.A. - C.F.I.')), RTRIM(LTRIM('PEFISA S.A. - CRÉDITO, FINANCIAMENTO E INVESTIMENTO                             ')), convert(datetime, '21/11/2017', 103), 'PROC', GETDATE()),
('433', RTRIM(LTRIM('BR-CAPITAL DTVM S.A.')), RTRIM(LTRIM('BR-CAPITAL DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                  ')), convert(datetime, '21/06/2021', 103), 'PROC', GETDATE()),
('495', RTRIM(LTRIM('BCO LA PROVINCIA B AIRES BCE')), RTRIM(LTRIM('Banco de La Provincia de Buenos Aires                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('125', RTRIM(LTRIM('BANCO GENIAL')), RTRIM(LTRIM('BANCO GENIAL S.A.                                                               ')), convert(datetime, '19/11/2012', 103), 'PROC', GETDATE()),
('488', RTRIM(LTRIM('JPMORGAN CHASE BANK')), RTRIM(LTRIM('JPMorgan Chase Bank, National Association                                       ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('065', RTRIM(LTRIM('BCO ANDBANK S.A.')), RTRIM(LTRIM('Banco AndBank (Brasil) S.A.                                                     ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('492', RTRIM(LTRIM('ING BANK N.V.')), RTRIM(LTRIM('ING Bank N.V.                                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('145', RTRIM(LTRIM('LEVYCAM CCV LTDA')), RTRIM(LTRIM('LEVYCAM - CORRETORA DE CAMBIO E VALORES LTDA.                                   ')), convert(datetime, '16/06/2015', 103), 'PROC', GETDATE()),
('250', RTRIM(LTRIM('BCV - BCO, CRÉDITO E VAREJO S.A.')), RTRIM(LTRIM('BCV - BANCO DE CRÉDITO E VAREJO S.A.                                            ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('354', RTRIM(LTRIM('NECTON INVESTIMENTOS S.A CVM')), RTRIM(LTRIM('NECTON INVESTIMENTOS  S.A. CORRETORA DE VALORES MOBILIÁRIOS E COMMODITIES       ')), convert(datetime, '30/10/2019', 103), 'PROC', GETDATE()),
('253', RTRIM(LTRIM('BEXS CC S.A.')), RTRIM(LTRIM('Bexs Corretora de Câmbio S/A                                                    ')), convert(datetime, '11/11/2016', 103), 'PROC', GETDATE()),
('269', RTRIM(LTRIM('BCO HSBC S.A.')), RTRIM(LTRIM('BANCO HSBC S.A.                                                                 ')), convert(datetime, '07/02/2018', 103), 'PROC', GETDATE()),
('213', RTRIM(LTRIM('BCO ARBI S.A.')), RTRIM(LTRIM('Banco Arbi S.A.                                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('139', RTRIM(LTRIM('INTESA SANPAOLO BRASIL S.A. BM')), RTRIM(LTRIM('Intesa Sanpaolo Brasil S.A. - Banco Múltiplo                                    ')), convert(datetime, '08/05/2015', 103), 'PROC', GETDATE()),
('018', RTRIM(LTRIM('BCO TRICURY S.A.')), RTRIM(LTRIM('Banco Tricury S.A.                                                              ')), convert(datetime, '05/08/2013', 103), 'PROC', GETDATE()),
('422', RTRIM(LTRIM('BCO SAFRA S.A.')), RTRIM(LTRIM('Banco Safra S.A.                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('630', RTRIM(LTRIM('BCO LETSBANK S.A.')), RTRIM(LTRIM('BANCO LETSBANK S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('224', RTRIM(LTRIM('BCO FIBRA S.A.')), RTRIM(LTRIM('Banco Fibra S.A.                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('393', RTRIM(LTRIM('BCO VOLKSWAGEN S.A')), RTRIM(LTRIM('Banco Volkswagen S.A.                                                           ')), convert(datetime, '17/08/2020', 103), 'PROC', GETDATE()),
('600', RTRIM(LTRIM('BCO LUSO BRASILEIRO S.A.')), RTRIM(LTRIM('Banco Luso Brasileiro S.A.                                                      ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('390', RTRIM(LTRIM('BCO GM S.A.')), RTRIM(LTRIM('BANCO GM S.A.                                                                   ')), convert(datetime, '22/07/2020', 103), 'PROC', GETDATE()),
('623', RTRIM(LTRIM('BANCO PAN')), RTRIM(LTRIM('Banco Pan S.A.                                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('655', RTRIM(LTRIM('BCO VOTORANTIM S.A.')), RTRIM(LTRIM('Banco Votorantim S.A.                                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('479', RTRIM(LTRIM('BCO ITAUBANK S.A.')), RTRIM(LTRIM('Banco ItauBank S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('456', RTRIM(LTRIM('BCO MUFG BRASIL S.A.')), RTRIM(LTRIM('Banco MUFG Brasil S.A.                                                          ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('464', RTRIM(LTRIM('BCO SUMITOMO MITSUI BRASIL S.A.')), RTRIM(LTRIM('Banco Sumitomo Mitsui Brasileiro S.A.                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('341', RTRIM(LTRIM('ITAÚ UNIBANCO S.A.')), RTRIM(LTRIM('ITAÚ UNIBANCO S.A.                                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('237', RTRIM(LTRIM('BCO BRADESCO S.A.')), RTRIM(LTRIM('Banco Bradesco S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('381', RTRIM(LTRIM('BCO MERCEDES-BENZ S.A.')), RTRIM(LTRIM('BANCO MERCEDES-BENZ DO BRASIL S.A.                                              ')), convert(datetime, '25/05/2020', 103), 'PROC', GETDATE()),
('613', RTRIM(LTRIM('OMNI BANCO S.A.')), RTRIM(LTRIM('Omni Banco S.A.                                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('652', RTRIM(LTRIM('ITAÚ UNIBANCO HOLDING S.A.')), RTRIM(LTRIM('Itaú Unibanco Holding S.A.                                                      ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('637', RTRIM(LTRIM('BCO SOFISA S.A.')), RTRIM(LTRIM('BANCO SOFISA S.A.                                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('653', RTRIM(LTRIM('BANCO VOITER')), RTRIM(LTRIM('BANCO VOITER S.A.                                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('069', RTRIM(LTRIM('BCO CREFISA S.A.')), RTRIM(LTRIM('Banco Crefisa S.A.                                                              ')), convert(datetime, '18/11/2005', 103), 'PROC', GETDATE()),
('370', RTRIM(LTRIM('BCO MIZUHO S.A.')), RTRIM(LTRIM('Banco Mizuho do Brasil S.A.                                                     ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('249', RTRIM(LTRIM('BANCO INVESTCRED UNIBANCO S.A.')), RTRIM(LTRIM('Banco Investcred Unibanco S.A.                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('318', RTRIM(LTRIM('BCO BMG S.A.')), RTRIM(LTRIM('Banco BMG S.A.                                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('626', RTRIM(LTRIM('BCO C6 CONSIG')), RTRIM(LTRIM('BANCO C6 CONSIGNADO S.A.                                                        ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('270', RTRIM(LTRIM('SAGITUR CC LTDA')), RTRIM(LTRIM('Sagitur Corretora de Câmbio Ltda.                                               ')), convert(datetime, '01/08/2018', 103), 'PROC', GETDATE()),
('366', RTRIM(LTRIM('BCO SOCIETE GENERALE BRASIL')), RTRIM(LTRIM('BANCO SOCIETE GENERALE BRASIL S.A.                                              ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('113', RTRIM(LTRIM('NEON CTVM S.A.')), RTRIM(LTRIM('NEON CORRETORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                            ')), convert(datetime, '28/11/2011', 103), 'PROC', GETDATE()),
('131', RTRIM(LTRIM('TULLETT PREBON BRASIL CVC LTDA')), RTRIM(LTRIM('TULLETT PREBON BRASIL CORRETORA DE VALORES E CÂMBIO LTDA                        ')), convert(datetime, '15/07/2013', 103), 'PROC', GETDATE()),
('011', RTRIM(LTRIM('C.SUISSE HEDGING-GRIFFO CV S/A')), RTRIM(LTRIM('CREDIT SUISSE HEDGING-GRIFFO CORRETORA DE VALORES S.A                           ')), convert(datetime, '28/06/2011', 103), 'PROC', GETDATE()),
('611', RTRIM(LTRIM('BCO PAULISTA S.A.')), RTRIM(LTRIM('Banco Paulista S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('755', RTRIM(LTRIM('BOFA MERRILL LYNCH BM S.A.')), RTRIM(LTRIM('Bank of America Merrill Lynch Banco Múltiplo S.A.                               ')), convert(datetime, '09/11/2007', 103), 'PROC', GETDATE()),
('089', RTRIM(LTRIM('CREDISAN CC')), RTRIM(LTRIM('CREDISAN COOPERATIVA DE CRÉDITO                                                 ')), convert(datetime, '30/08/2010', 103), 'PROC', GETDATE()),
('643', RTRIM(LTRIM('BCO PINE S.A.')), RTRIM(LTRIM('Banco Pine S.A.                                                                 ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('140', RTRIM(LTRIM('NU INVEST CORRETORA DE VALORES S.A.')), RTRIM(LTRIM('NU INVEST CORRETORA DE VALORES S.A.                                             ')), convert(datetime, '26/05/2015', 103), 'PROC', GETDATE()),
('707', RTRIM(LTRIM('BCO DAYCOVAL S.A')), RTRIM(LTRIM('Banco Daycoval S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('288', RTRIM(LTRIM('CAROL DTVM LTDA.')), RTRIM(LTRIM('CAROL DISTRIBUIDORA DE TITULOS E VALORES MOBILIARIOS LTDA.                      ')), convert(datetime, '05/07/2018', 103), 'PROC', GETDATE()),
('363', RTRIM(LTRIM('SINGULARE CTVM S.A.')), RTRIM(LTRIM('SINGULARE CORRETORA DE TÍTULOS E VALORES MOBILIÁRIOS S.A.                       ')), convert(datetime, '01/06/2020', 103), 'PROC', GETDATE()),
('101', RTRIM(LTRIM('RENASCENCA DTVM LTDA')), RTRIM(LTRIM('RENASCENCA DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA                  ')), convert(datetime, '22/04/2010', 103), 'PROC', GETDATE()),
('487', RTRIM(LTRIM('DEUTSCHE BANK S.A.BCO ALEMAO')), RTRIM(LTRIM('DEUTSCHE BANK S.A. - BANCO ALEMAO                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('233', RTRIM(LTRIM('BANCO CIFRA')), RTRIM(LTRIM('Banco Cifra S.A.                                                                ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('177', RTRIM(LTRIM('GUIDE')), RTRIM(LTRIM('Guide Investimentos S.A. Corretora de Valores                                   ')), convert(datetime, '08/05/2017', 103), 'PROC', GETDATE()),
('438', RTRIM(LTRIM('PLANNER TRUSTEE DTVM LTDA')), RTRIM(LTRIM('PLANNER TRUSTEE DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA.            ')), convert(datetime, '04/05/2021', 103), 'PROC', GETDATE()),
('365', RTRIM(LTRIM('SIMPAUL')), RTRIM(LTRIM('SIMPAUL CORRETORA DE CAMBIO E VALORES MOBILIARIOS  S.A.                         ')), convert(datetime, '17/03/2020', 103), 'PROC', GETDATE()),
('633', RTRIM(LTRIM('BCO RENDIMENTO S.A.')), RTRIM(LTRIM('Banco Rendimento S.A.                                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('218', RTRIM(LTRIM('BCO BS2 S.A.')), RTRIM(LTRIM('Banco BS2 S.A.                                                                  ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('293', RTRIM(LTRIM('LASTRO RDV DTVM LTDA')), RTRIM(LTRIM('Lastro RDV Distribuidora de Títulos e Valores Mobiliários Ltda.                 ')), convert(datetime, '10/09/2018', 103), 'PROC', GETDATE()),
('285', RTRIM(LTRIM('FRENTE CC LTDA.')), RTRIM(LTRIM('Frente Corretora de Câmbio Ltda.                                                ')), convert(datetime, '25/09/2018', 103), 'PROC', GETDATE()),
('080', RTRIM(LTRIM('B&T CC LTDA.')), RTRIM(LTRIM('B&T CORRETORA DE CAMBIO LTDA.                                                   ')), convert(datetime, '18/11/2010', 103), 'PROC', GETDATE()),
('753', RTRIM(LTRIM('NOVO BCO CONTINENTAL S.A. - BM')), RTRIM(LTRIM('Novo Banco Continental S.A. - Banco Múltiplo                                    ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('222', RTRIM(LTRIM('BCO CRÉDIT AGRICOLE BR S.A.')), RTRIM(LTRIM('BANCO CRÉDIT AGRICOLE BRASIL S.A.                                               ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('281', RTRIM(LTRIM('CCR COOPAVEL')), RTRIM(LTRIM('Cooperativa de Crédito Rural Coopavel                                           ')), convert(datetime, '05/11/2018', 103), 'PROC', GETDATE()),
('754', RTRIM(LTRIM('BANCO SISTEMA')), RTRIM(LTRIM('Banco Sistema S.A.                                                              ')), convert(datetime, '15/07/2015', 103), 'PROC', GETDATE()),
('311', RTRIM(LTRIM('DOURADA CORRETORA')), RTRIM(LTRIM('DOURADA CORRETORA DE CÂMBIO LTDA.                                               ')), convert(datetime, '22/01/2021', 103), 'PROC', GETDATE()),
('098', RTRIM(LTRIM('CREDIALIANÇA CCR')), RTRIM(LTRIM('Credialiança Cooperativa de Crédito Rural                                       ')), convert(datetime, '18/01/2011', 103), 'PROC', GETDATE()),
('610', RTRIM(LTRIM('BCO VR S.A.')), RTRIM(LTRIM('Banco VR S.A.                                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('712', RTRIM(LTRIM('BCO OURINVEST S.A.')), RTRIM(LTRIM('Banco Ourinvest S.A.                                                            ')), convert(datetime, '28/01/2014', 103), 'PROC', GETDATE()),
('720', RTRIM(LTRIM('BCO RNX S.A.')), RTRIM(LTRIM('BANCO RNX S.A.                                                                  ')), convert(datetime, '24/02/2021', 103), 'PROC', GETDATE()),
('010', RTRIM(LTRIM('CREDICOAMO')), RTRIM(LTRIM('CREDICOAMO CREDITO RURAL COOPERATIVA                                            ')), convert(datetime, '10/12/2012', 103), 'PROC', GETDATE()),
('440', RTRIM(LTRIM('CREDIBRF COOP')), RTRIM(LTRIM('CREDIBRF - COOPERATIVA DE CRÉDITO                                               ')), convert(datetime, '02/09/2021', 103), 'PROC', GETDATE()),
('442', RTRIM(LTRIM('MAGNETIS - DTVM')), RTRIM(LTRIM('MAGNETIS - DISTRIBUIDORA DE TÍTULOS E VALORES MOBILIÁRIOS LTDA                  ')), convert(datetime, '15/09/2021', 103), 'PROC', GETDATE()),
('283', RTRIM(LTRIM('RB INVESTIMENTOS DTVM LTDA.')), RTRIM(LTRIM('RB INVESTIMENTOS DISTRIBUIDORA DE TITULOS E VALORES MOBILIARIOS LIMITADA        ')), convert(datetime, '05/07/2018', 103), 'PROC', GETDATE()),
('033', RTRIM(LTRIM('BCO SANTANDER (BRASIL) S.A.')), RTRIM(LTRIM('BANCO SANTANDER (BRASIL) S.A.                                                   ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('217', RTRIM(LTRIM('BANCO JOHN DEERE S.A.')), RTRIM(LTRIM('Banco John Deere S.A.                                                           ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('041', RTRIM(LTRIM('BCO DO ESTADO DO RS S.A.')), RTRIM(LTRIM('Banco do Estado do Rio Grande do Sul S.A.                                       ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('117', RTRIM(LTRIM('ADVANCED CC LTDA')), RTRIM(LTRIM('ADVANCED CORRETORA DE CÂMBIO LTDA                                               ')), convert(datetime, '03/10/2011', 103), 'PROC', GETDATE()),
('654', RTRIM(LTRIM('BCO DIGIMAIS S.A.')), RTRIM(LTRIM('BANCO DIGIMAIS S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('371', RTRIM(LTRIM('WARREN CVMC LTDA')), RTRIM(LTRIM('WARREN CORRETORA DE VALORES MOBILIÁRIOS E CÂMBIO LTDA.                          ')), convert(datetime, '13/05/2020', 103), 'PROC', GETDATE()),
('212', RTRIM(LTRIM('BANCO ORIGINAL')), RTRIM(LTRIM('Banco Original S.A.                                                             ')), convert(datetime, '22/04/2002', 103), 'PROC', GETDATE()),
('289', RTRIM(LTRIM('EFX CC LTDA.')), RTRIM(LTRIM('EFX CORRETORA DE CÂMBIO LTDA.                                                   ')), convert(datetime, '14/03/2019', 103), 'PROC', GETDATE())
;


END
GO
