-- ==================================================
--	ALTERAR A TABELA DE CLIENTE
-- ==================================================
ALTER TABLE CLIENTE DROP CONSTRAINT 
	FK_CLIENTE_T_DADOS_BANCARIOS;
	
ALTER TABLE CLIENTE DROP COLUMN 
	ID_DADOS_BANCARIOS;


-- ==================================================
--	CRIA A TABELA DE CLIENTE
-- ==================================================
ALTER TABLE CLIENTE ADD 
	TIPO_DADOS_BANCARIOS VARCHAR(10),
	AGENCIA VARCHAR(6),
	AGENCIA_DV CHAR(1),
	CONTA VARCHAR(10),
	CONTA_DV CHAR(1),
	PIX_CHAVE VARCHAR(40),
	PIX_ACEITE BIT,
	ID_BANCO_BRASIL INT CONSTRAINT FK_CLIENTE_T_BANCO_BRASIL FOREIGN KEY REFERENCES BANCO_BRASIL(ID);

-- ==================================================
--	APAGA TABLEA DE DADOS BANCARIOS
-- ==================================================
 DROP TABLE IF EXISTS DADOS_BANCARIOS;
 