-- ==================================================
--	ALTERA A TABELA DE BANCO
-- ==================================================
ALTER TABLE BANCO ALTER
    COLUMN  ID_SA6010 INT NOT NULL
;

ALTER TABLE BANCO
    ADD CONSTRAINT UC_BANCO_ID_SA6010 UNIQUE (ID_SA6010)
;

-- ==================================================
--	ALTERA A TABELA DE CLIENTE_CANAL
-- ==================================================
ALTER TABLE CLIENTE_CANAL ALTER
    COLUMN  ID_ZSN010 INT NOT NULL
;

ALTER TABLE CLIENTE_CANAL
    ADD CONSTRAINT UC_CLIENTE_CANAL_ID_ZSN010 UNIQUE (ID_ZSN010)
;

-- ==================================================
--	ALTERA A TABELA DE CLIENTE_GRUPO_TRIBUTARIO
-- ==================================================
ALTER TABLE CLIENTE_GRUPO_TRIBUTARIO ALTER
    COLUMN  ID_ZZG010 INT NOT NULL
;

ALTER TABLE CLIENTE_GRUPO_TRIBUTARIO
    ADD CONSTRAINT UC_CLIENTE_GRUPO_TRIBUTARIO_ID_ZZG010 UNIQUE (ID_ZZG010)
;

-- ==================================================
--	ALTERA A TABELA DE CLIENTE_SEGMENTO
-- ==================================================
ALTER TABLE CLIENTE_SEGMENTO ALTER
    COLUMN  ID_ZSG010 INT NOT NULL
;

ALTER TABLE CLIENTE_SEGMENTO
    ADD CONSTRAINT UC_CLIENTE_SEGMENTO_ID_ZSG010 UNIQUE (ID_ZSG010)
;

-- ==================================================
--	ALTERA A TABELA DE CLIENTE_TITULO_RECEBER
-- ==================================================
ALTER TABLE CLIENTE_TITULO_RECEBER ALTER
    COLUMN  ID_SE1010 INT NOT NULL
;

ALTER TABLE CLIENTE_TITULO_RECEBER
    ADD CONSTRAINT UC_CLIENTE_TITULO_RECEBER_ID_SE1010 UNIQUE (ID_SE1010)
;

-- ==================================================
--	ALTERA A TABELA DE CONDICAO_PAGAMENTO
-- ==================================================
ALTER TABLE CONDICAO_PAGAMENTO ALTER
    COLUMN  ID_SE4010 INT NOT NULL
;

ALTER TABLE CONDICAO_PAGAMENTO
    ADD CONSTRAINT UC_CONDICAO_PAGAMENTO_ID_SE4010 UNIQUE (ID_SE4010)
;

-- ==================================================
--	ALTERA A TABELA DE IMPOSTOS_AVANT
-- ==================================================
ALTER TABLE IMPOSTOS_AVANT ALTER
    COLUMN  ID_ZIA010 INT NOT NULL
;

ALTER TABLE IMPOSTOS_AVANT
    ADD CONSTRAINT UC_IMPOSTOS_AVANT_ID_ZIA010 UNIQUE (ID_ZIA010)
;

-- ==================================================
--	ALTERA A TABELA DE NOTA_FISCAL_SAIDA
-- ==================================================
ALTER TABLE NOTA_FISCAL_SAIDA ALTER
    COLUMN  ID_SF2010 INT NOT NULL
;

ALTER TABLE NOTA_FISCAL_SAIDA
    ADD CONSTRAINT UC_NOTA_FISCAL_SAIDA_ID_SF2010 UNIQUE (ID_SF2010)
;

-- ==================================================
--	ALTERA A TABELA DE NOTA_FISCAL_SAIDA_ITEM
-- ==================================================
ALTER TABLE NOTA_FISCAL_SAIDA_ITEM ALTER
    COLUMN  ID_SD2010 INT NOT NULL
;

ALTER TABLE NOTA_FISCAL_SAIDA_ITEM
    ADD CONSTRAINT UC_NOTA_FISCAL_SAIDA_ITEM_ID_SD2010 UNIQUE (ID_SD2010)
;

-- ==================================================
--	ALTERA A TABELA DE OCORRENCIA
-- ==================================================
ALTER TABLE OCORRENCIA ALTER
    COLUMN  ID_GWD010 INT NOT NULL
;

ALTER TABLE OCORRENCIA
    ADD CONSTRAINT UC_OCORRENCIA_ID_GWD010 UNIQUE (ID_GWD010)
;

-- ==================================================
--	ALTERA A TABELA DE TRANSPORTADORA
-- ==================================================
ALTER TABLE TRANSPORTADORA ALTER
    COLUMN  ID_SA4010 INT NOT NULL
;

ALTER TABLE TRANSPORTADORA
    ADD CONSTRAINT UC_TRANSPORTADORA_ID_SA4010 UNIQUE (ID_SA4010)
;
