-- ==================================================
--	CRIA A TABELA DE HTTP_LOGGING
-- ==================================================
CREATE TABLE HTTP_LOGGING
(
    ID                BINARY(16)    NOT NULL,
    HTTP_METHOD       VARCHAR(20)   NOT NULL,
    STATUS_CODE       INT,
    REQUEST_DATE_TIME DATETIME      NOT NULL,
    CADASTRADO_POR    VARCHAR(60),
    REQUEST_URL       VARCHAR(2084) NOT NULL,
    API_CLASS_NAME    VARCHAR(255),
    API_METHOD_NAME   VARCHAR(100),
    QUERY_PARAMETERS  VARCHAR(MAX),
    REQUEST_HEADERS   VARCHAR(MAX),
    REQUEST           VARCHAR(MAX),
    RESPONSE          VARCHAR(MAX),
    EXCEPTION         VARCHAR(MAX),
    CONSTRAINT PK_HTTP_LOGGING PRIMARY KEY (ID)
)
GO
DENY UPDATE ON HTTP_LOGGING TO PUBLIC;
