CREATE TABLE ORCAMENTO_ITEM_LIG_TAG
(
    ID_ORCAMENTO_ITEM INT NOT NULL,
    ID_TAG            INT NOT NULL,
    CONSTRAINT PK_ORCAMENTO_ITEM_LIG_TAG PRIMARY KEY (ID_ORCAMENTO_ITEM, ID_TAG)
)
GO

ALTER TABLE ORCAMENTO_ITEM_LIG_TAG
    ADD CONSTRAINT FK_ORCAMENTO_ITEM_LIG_TAG_ON_ORCAMENTO_ITEM FOREIGN KEY (ID_ORCAMENTO_ITEM) REFERENCES ORCAMENTO_ITEM (ID)
GO

ALTER TABLE ORCAMENTO_ITEM_LIG_TAG
    ADD CONSTRAINT FK_ORCAMENTO_ITEM_LIG_TAG_ON_TAG FOREIGN KEY (ID_TAG) REFERENCES TAG (ID)
GO


ALTER TABLE ORCAMENTO_ITEM
    ADD ID_PROPOSTA_ITEM INT
GO

ALTER TABLE ORCAMENTO_ITEM
    ADD CONSTRAINT FK_ORCAMENTO_ITEM_ON_PROPOSTA_ITEM FOREIGN KEY (ID_PROPOSTA_ITEM) REFERENCES PROPOSTA_ITEM (ID)
GO
