ALTER TABLE ORCAMENTO ADD
    ID_PROPOSTA INT
GO

ALTER TABLE ORCAMENTO
    ADD CONSTRAINT FK_ORCAMENTO_ON_PROPOSTA FOREIGN KEY (ID_PROPOSTA) REFERENCES PROPOSTA (ID)
GO

ALTER TABLE ORCAMENTO
    DROP CONSTRAINT CK_ORCAMENTO_TIPO;
GO

ALTER TABLE ORCAMENTO
    ADD
        CONSTRAINT CK_ORCAMENTO_TIPO
            CHECK ([TIPO] IN
                   ('ERRO_PARCIAL', 'ERRO_TOTAL', 'INTEGRADO_PARCIAL', 'INTEGRADO_TOTAL', 'CLONADO', 'GERADO', 'IMPORTADO_PROTHEUS', 'PROPOSTA'))
GO
