-- <editor-fold desc="Tipo Ajuste Margem">
ALTER TABLE LEAD ADD
    TIPO_AJUSTE_MARGEM CHAR(3)
GO

UPDATE LEAD SET LEAD.TIPO_AJUSTE_MARGEM = C.TIPO_AJUSTE_MARGEM
FROM LEAD
INNER JOIN CLIENTE C on C.ID = LEAD.ID_CLIENTE
WHERE C.TIPO_AJUSTE_MARGEM IS NOT NULL
GO

UPDATE LEAD SET LEAD.TIPO_AJUSTE_MARGEM = 'NEW'
FROM LEAD
WHERE LEAD.TIPO_AJUSTE_MARGEM IS NULL

ALTER TABLE LEAD
    ALTER COLUMN TIPO_AJUSTE_MARGEM CHAR(3) NOT NULL
GO

ALTER TABLE LEAD
    ADD CONSTRAINT DF_LEAD_TIPO_AJUSTE_MARGEM DEFAULT 'NEW' FOR TIPO_AJUSTE_MARGEM
GO
-- </editor-fold>

-- <editor-fold desc="Ajuste Margem">
ALTER TABLE LEAD ADD
    AJUSTE_MARGEM DECIMAL(18,2)
GO

UPDATE LEAD SET LEAD.AJUSTE_MARGEM = C.AJUSTE_MARGEM
FROM LEAD
         INNER JOIN CLIENTE C on C.ID = LEAD.ID_CLIENTE
WHERE C.AJUSTE_MARGEM IS NOT NULL
GO

UPDATE LEAD SET LEAD.AJUSTE_MARGEM = -10.00
FROM LEAD
WHERE LEAD.AJUSTE_MARGEM IS NULL

ALTER TABLE LEAD
    ALTER COLUMN AJUSTE_MARGEM DECIMAL(18,2) NOT NULL
GO

ALTER TABLE LEAD
    ADD CONSTRAINT DF_LEAD_AJUSTE_MARGEM DEFAULT -10.00 FOR AJUSTE_MARGEM
GO

-- </editor-fold>
