-- <editor-fold desc="AUDITORIA">
ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ALTER COLUMN DATA_CADASTRO DATETIME NOT NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_DATA_CADASTRO DEFAULT GETDATE() FOR DATA_CADASTRO
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ALTER COLUMN DATA_ULTIMA_ALTERACAO DATETIME NOT NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_DATA_ULTIMA_ALTERACAO DEFAULT GETDATE() FOR DATA_ULTIMA_ALTERACAO
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ALTER COLUMN CADASTRADO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_CADASTRADO_POR DEFAULT '' FOR CADASTRADO_POR
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ALTER COLUMN ULTIMA_MODIFICACAO_POR VARCHAR(60) NOT NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_ULTIMA_MODIFICACAO_POR DEFAULT '' FOR ULTIMA_MODIFICACAO_POR
GO
-- </editor-fold>


-- <editor-fold desc="DELETED">
ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD DELETED BIT
GO

UPDATE META_REALIZADA_DIARIA_REPRESENTANTE
SET DELETED = COALESCE(DELETADO, 0)
WHERE DELETED IS NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ALTER COLUMN DELETED BIT NOT NULL
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_DELETED DEFAULT 0 FOR DELETED
GO

ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    DROP COLUMN DELETADO
GO
-- </editor-fold>

-- <editor-fold desc="ANO">
ALTER TABLE META_REALIZADA_DIARIA_REPRESENTANTE
    ADD CONSTRAINT DF_META_REALIZADA_DIARIA_REPRESENTANTE_DIA DEFAULT '1900-01-01' FOR DIA
GO
-- </editor-fold>
